Welcome

This page links you to product and user information for the Keysight N7608C Signal Studio Pro for Custom Modulation 2024 software.

Technical Overview

Web Page

Installation

Licensing

Using the Software

Release Notes

Software version 4.0

Help revised 9/7/2023 - get the latest revision

© Keysight Technologies, Inc. 2017-2023


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | Keysight License Manager | Download and install Keysight License Manager 5.
3. | Signal Studio Software | Download and install Signal Studio software.
4. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
5. | Testing Connections | Check that the software communicates with the instrument.


System Requirements

Real Time

1. System Requirements

Installation Steps: 1 2 3 4 5

To generate signals using the N7608C Signal Studio Pro for Custom Modulation 2024 software, you must have a properly configured PC and a properly configured instrument, as described in the following tables.

Hardware Requirements

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

  • Version B.01.70 or later

Required options:

  • N5172B-653 (internal baseband generator, 32 Msa/s, up to 60 MHz RF bandwidth)

Recommended options:

  • N5172B-009 (internal Flash drive)

N5182B MXG X-Series RF vector signal generator

Firmware:

  • Version B.01.70 or later

Required options:

  • N5182B-656 (internal baseband generator, 32 Msa/s, up to 80 MHz RF bandwidth)

Recommended options:

  • N5182B-009 (internal Flash drive)

N5166B CXG RF vector signal generator

Firmware:

  • Version B.01.80 or later

N5182A MXG vector signal generator

NOTE: This instrument model is valid only when Playback License Mode is set to PC License.

Firmware:

  • Version A.01.20 or later

Required options:

  • N5182A-652 (60 Msa/s internal baseband generator with 8 Msa memory)

Recommended options:

  • N5182A-019 (increase baseband generator memory to 64 Msa memory)

E4438C ESG vector signal generator

NOTE: This instrument model is valid only when Playback License Mode is set to PC License.

Firmware:

  • Version C.04.95 or later

Required options:

  • E4438C-601 (internal baseband generator with 8 Msa memory and digital bus capability)

Recommended options:

  • E4438C-602 (internal baseband generator with 64 Msa memory and digital bus capability)

E8267D PSG vector signal generator

Firmware:

  • Version C.06.26 or later

Required options:

  • E8267D-602 (internal baseband generator with 64 Msa memory and digital bus capability)

M8190A arbitrary waveform generator + E8267D PSG vector signal generator1

M8190A required options:

  • Firmware v5.1.0.0 or later

  • M8190A-002 (2 channels)

  • M8190A-12G (12-bit, 12-GHz max sample rate) or

  • M8190A-14B (14-bit, 8-GHz max sample rate)

E8267D PSG required options:

  • E8267D-015 (wideband differential external I/Q inputs for serial number prefixes < US/MY 4722)

    or

    E8267D-016 (wideband differential external I/Q inputs for serial number prefixes ≥ US/MY 4722)

M8190A arbitrary waveform generator

Firmware:

  • Version 5.1.0.0 or later

Required options for Wideband IQ:

  • M8190A-002 (2 channels)

  • M8190A-12G (12-bit, 12-GHz max sample rate) or

  • M8190A-14B (14-bit, 8-GHz max sample rate)

Required options for Wideband IF:

  • M8190A-001 (1 channel) or

  • M8190A-002 (2 channels)

  • M8190A-12G (12-bit, 12-GHz max sample rate) or

  • M8190A-14B (14-bit, 8-GHz max sample rate)

  • M8190A-DUC (digital upconversion)

Recommended options:

  • M8190A-02G (upgrade baseband generator memory from 128 Msa to 2 Gsa)

  • M8190A-AMP (5-GHz analog bandwidth)

  • M8190A-DUC (digital upconversion)

M8195A arbitrary waveform generator

Firmware:

  • Version 3.5.0.0 or later

Recommended options:

  • M8195A-16G (upgrade to 16 Gsa memory)

M9381A PXIe vector signal generator

Driver:

  • Version 1.4.400.0 or later

Recommended options:

  • M9381A-M05 (memory 512 Msa)

  • M9381A-M10 (memory 1024 Msa)

  • M9381A-1EA (high output power)

  • M9381A-B10 (RF modulation bandwidth 100 MHz)

  • M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

  • M9381A-F06 (1 MHz to 6 GHz frequency range)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.

  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

M9383B VXG-m microwave signal generator

Firmware:

  • Version A.02.00 or later

Recommended options:

  • M9383B-001 (add channel 1)

  • M9383B-F44 (frequency range, 1 MHz to 44 GHz)

  • M9383B-D21 (RF bandwidth, 2 GHz with 256 MSa memory for frequency options F32 and F44)

  • M9383B-M05 (baseband generator memory upgrade to 512 MSa)

M9384B VXG microwave signal generator

Firmware:

  • Version A.02.00 or later

Recommended options:

  • M9384B-001 (add channel 1)

  • M9384B-F44 (frequency range, 1 MHz to 44 GHz)

  • M9384B-D21 (RF bandwidth, 2 GHz with 256 MSa memory for frequency options F32 and F44)

  • M9384B-M05 (baseband generator memory upgrade to 512 MSa)

M9484C VXG signal generator

Firmware:

  • Version A.10.00 or later

M9420A VXT PXIe vector transceiver

Software:

  • Version M.19.31 or later

Recommended options:

  • M9420A-1EA (high output power)

  • M9420A-B85 (increases signal bandwidth to 80 MHz)

  • M9420A-B1X (increases signal bandwidth to 160 MHz)

  • M9420A-M05 (memory 512 Msa)

Additional options to consider:

  • M9420A-506 (6 GHz frequency range)

  • M9420A-FDX (full duplex ports)

  • M9420A-HDX (half duplex ports)

M9421A VXT PXIe vector transceiver

Software:

  • Version M.19.31 or later

Recommended options:

  • M9421A-1EA (high output power)

  • M9421A-B85 (increases signal bandwidth to 80 MHz)

  • M9421A-B1X (increases signal bandwidth to 160 MHz)

  • M9421A-M05 (memory 512 Msa)

Additional options to consider:

  • M9421A-506 (6 GHz frequency range)

  • M9421A-HDX (half duplex ports)

1. This configuration is used for wideband DPD support, in which the M8190A works as an IQ waveform generator and the E8267D PSG works as a modulator and upconverter.

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

If you use a high-resolution display, the GUI's font size may appear too small to read. To resolve this, lower your PC's display resolution, but make sure the display scaling remains set at 100 percent, otherwise portions of the GUI will become truncated and hidden from view.

Windows 10 (64 bit):

  • 1 GHz or faster

  • 8 GB of memory minimum

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer 11.0 or later

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Microsoft .NET Framework 4.6 or later

Keysight IO Libraries, version 18.0 or later

Keysight License Manager 5 (2. Downloading and Installing Keysight License Manager 5)

Keysight License Service (included with installer)

Keysight Host Processor Platform (included with installer)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later


Downloading and Installing Keysight License Manager 5

Real Time

2. Downloading and Installing Keysight License Manager 5

Installation Steps: 1 2 3 4 5

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use Keysight License Manager 5 to install the Signal Studio license in the instrument.

  1. Download Keysight License Manager 5, free of charge, at the following website: http://www.keysight.com/find/KLM5.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager 5 executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

Real Time

3. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

Go to the N7608C Download web page to download and install the software.

The installation also includes the following required software:

  • Keysight IO Libraries, version 18.0 or later

  • Keysight License Service

  • Keysight Host Processor Platform


Equipment Setup and Connection

Real Time

4. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5

Some instruments require unique configurations for use with Signal Studio and are not described in this topic. In these cases, refer to Tutorials for specific information on how to configure your instrument.

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Related Topics

Tutorials


Testing Connections

Real Time

5. Testing Connections

Installation Steps: 1 2 3 4 5

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio... dialog box (System Configuration Wizard) that appears.

  4. Click OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

    If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

    Connection

    Signal Generator

    Key Path

    LAN

    CXG, EXG and MXG1

    Utility > I/O Config > LAN Setup > Manual Config Settings

    ESG

    PSG

    Utility > GPIB/RS-232 LAN > LAN Setup

    GPIB

    CXG, EXG and MXG

    Utility > I/O Config > GPIB Setup

    ESG

    PSG

    Utility > GPIB/RS-232 LAN > GPIB Address

    1 Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field.

    After making the connection, you can view the instrument's information by selecting Hardware in the tree view.

  5. Install the software license (see Installing the License).


Licensing

To generate and download waveforms with this Signal Studio software, a valid license must be installed on your PC. An instrument-embedded license is also available for offline playback of exported waveforms. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

For more information, go to www.keysight.com/find/SignalStudio_licensing.


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Before installing the license file, save a backup copy in a safe place.

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to your PC's Host ID. Embedded waveform-playback licenses, however, are specific to the instrument's model number and serial number.

Installing the License via a USB port

  1. Save the license file to the root directory of a USB storage device.

  2. Insert the storage device into a USB port of the PC or instrument matching the Host ID used in redemption.

  3. The license file should install automatically.

Installing the License via Keysight License Manager 5 (KLM5)

  1. On the PC or PC-based instrument matching the Host ID used in redemption, start the Keysight License Manager 5 (KLM5) software.

    You can download KLM5 at no charge from www.keysight.com/find/KLM5.

  2. From the KLM5 software, click the "Tools" icon > Install License File. Navigate to the license file and open it.

  3. The license file should install automatically.

Using Floating Licenses

Overview

Floating licenses provide the ability for multiple client PCs or PC-based instruments to use a common license that is stored on a network license server. Also called a concurrent license, floating licenses are bound to the Host ID of the license server, and are used by any client computer running the Signal Studio software with network access to the server (as long as the number of concurrent client users does not exceed the number of granted licenses).

Floating licenses provide the ability to use one license on different PCs (instruments). The client PC or instrument requests a license from the server to run the Signal Studio software. If a license is available, the server will allocate the license to the client.

Installing Floating Licenses

This procedure installs the Signal Studio software floating license system. To ensure a successful installation, make sure you have installed Keysight Floating License Manager and perform the installation process in the following sequence. If you are using a USB dongle, see USB Dongle License Setup.

  1. Redeeming a Floating License

  2. Configuring a Floating License Server

  3. Setting up a Floating License Client PC


Using the Software

Tutorials | provides specific instructions for using some of the software's capabilities.
User Interface | describes the features of the graphical user interface.
API | describes the API interface.


Tutorials

Creating a Custom Modulation Waveform | This procedure describes how to create a waveform using Custom OFDM.
Configuring the M8190A AWG | This procedure describes how to configure an M8190A AWG (DUC mode only).
Configuring the M8190A with an E8257D PSG | This procedure describes how to configure an M8190A AWG with an E8257D PSG as an up-converter.
Using a Group ID for Symbol Index and Subcarrier Index | This procedure describes how to use group ID syntax for defining resources in the symbol index and subcarrier index.


Creating a Custom Modulation Waveform

This procedure uses the Custom Modulation selection Custom OFDM to demonstrate how to create a waveform. While other Custom Modulation selections use different parameters, the process is relatively the same.

  1. Launch the Signal Studio software.

    This ensures that all settings are set to default values.

  2. If there is a need to configure the instrument settings different from the default, click the Instrument node and configure the settings for each section, as required.

    For more information, refer to the Instrument node topic.

  3. Click the Waveform Setup node and configure its settings:

    1. Click Custom Modulation and use the drop-down menu to view the available choices.

    2. Select Custom OFDM (the default selection).

    3. View the settings in the Basic section and notice that the number of frames and oversampling values are editable.

    4. When finished viewing, ensure that the Number of Frames and Oversampling Ratio values are the default values of 1 and 4 respectively.

    5. If there is a need to change the default marker signal selection, click Marker 1 Source or Marker 2 Source and change the selection.

      For more information on markers and their settings, see the Waveform Setup topic.

  4. Click the Custom OFDM node and configure its settings.

    For more information on these settings, refer to the Custom OFDM topic. Use the graphs at the bottom to monitor changes. The graphs in this window are the same graphs shown in the Resource Mapping node and reflect changes from both nodes. At this point, both graphs reflect default settings and should look similar the ones shown below.

    1. Set the Idle Interval to 10 us.

    2. Enter an FFT Length value of 512.

      This cell value is coupled with the Guard Lower Subcarriers and Guard Upper Subcarriers cells. The length must be sufficient for the required subcarriers.

    3. Click [image] in Cyclic Prefix Length to open an editor window. Do not change any values for this example.

    4. Click in the Guard Lower Subcarriers and set its value to 79 Subcarriers.

    5. Click in the Guard Upper Subcarriers and set its value to 78 Subcarriers.

    6. For this example, leave the remaining settings at their default values.

  5. Click the Resource Mapping node.

    Within this Closed view, each resource block (RB) is configurable. In addition, tools just above the list provide the ability to Add, Remove, Copy, change an RB list position, and change the constellation. For Information on these tools and any of the settings in this window, see the Resource Mapping topic. Use the graphs at the bottom to monitor changes.

  6. Configure the resource blocks:

    1. Click 1 (Resource Block 1) in the # column or any where in this row to enable changing its RB values.

    2. In the settings window below the RB list, configure the values according to the table shown below.

    3. Repeat these steps for each subsequent RB row.

      RB 3 and 5 are being reconfigured as a different Resource Mapping type.

    Preamble 1

    Preamble 2

    Data 1

    Data 2

    Pilot

    Name

    Preamble 1

    Preamble 2

    Pilot

    Data_QPSK

    Data_64QAM

    Enabled

    On

    On

    On

    On

    On

    Symbol Index

    0

    1

    2:63

    2:2:63

    3:2:63

    Subcarrier
    Index

    -176:4:-4,4:4:176

             -176:2:-2,2:2:176

    -150:20:-10,10:20:150

    -177:-2,2:177

    -177:-2,2:177

    Resource
    Mapping

    Preamble

             Preamble

    Pilot

    Data

    Data

    Boost Level

    1.000

    1.000

    1.000

    1.000

    1.000

    IQ Values1

    Zadoff-Chu

    Zadoff-Chu

    ---

    ---

    ---

    Pilot Data Mode

    ---

    ---

    Payload Bit

    ---

    ---

    Resource
    Modulation

    ---

    ---

    BPSK

    QPSK

    64QAM

    Modulation
    Phase Rotation

    ---

    ---

    0

    0

    0

    Payload2

    ---

    ---

    Custom

    PN9

    PN9

    DFT Spread

    Off

    Off

    Off

    Off

    Off

    Multiple Access Scheme

    ---

    ---

    ---

    Off

    Off

    1. To set the values, click in the cell and then the dialog box icon to launch the IQ Values dialog box. For this example, click Preset > Zadoff-Chu. The values shown in the table are examples of the some of the values from the dialog box.

    2. To set the values, click in the cell and then the dialog box icon to launch the Data Setup dialog box. Then set the payload.

  7. Select row 1 (Preamble1) in the resource block editing table. The Resource Mapping and Resource Modulation graphs reflect your changes and should now look similar to the ones shown below.

  8. Click Flip subcarrier axis in the Resource Mapping graph. Notice the change in Subcarriers axis.

    Now click row 4 (Data_QPSK) in the resource block editing table. Notice the "Selected" (red) areas switch to highlight the QPSK data mapping, as shown below.

  9. Click the Download icon in the toolbar to generate and download the waveform to the instrument.


Configuring the M8190A AWG

The diagram below shows the configuration for a single M8190A AWG in DUC mode, using Channel 1 and/or Channel 2.

In this setup, it is recommended that you use the M8190A's internal 10 MHz reference source.


Configuring the M8190A with an E8267D PSG

The diagram below shows the configuration for an M8190A AWG when combined with an E8267D PSG as an up-converter.

In this setup, it is recommended that you use the PSG as an external 10 MHz reference source.


Using a Group ID for Symbol Index and Subcarrier Index

In software versions 2.0 and earlier, in Custom OFDM resource allocation, the Symbol Index and Subcarrier Index had a global mapping, meaning that all the subcarriers defined in the Subcarrier Index were allocated in all the symbols defined in the Symbol Index. For some signals, especially those with scattered pilot, this manner was not convenient enough for the user to configure it. The user had to split a single pilot into several resource blocks, and sometimes may need to write some code to generate the interleaved payload bits or IQ values.

The solution to this issue (software versions 3.0 and later) is to support 1-to-1 mapping between the Symbol Index and the Subcarrier Index by introducing a new syntax with Group ID. That is, the individual symbol/subcarrier or a range of symbols/subcarriers can be assigned an ID. And only the symbol/subcarrier groups with the same ID will be allocated to current resource block. This new syntax can be combined with legacy syntax, while the legacy syntax still allocates symbol/subcarrier in a global manner.

The syntax format is like below:

{n|xxxxx}

where n = 1….N is the group ID,

xxxx is the individual or range of symbols/subcarriers with legacy format

n = 0 is a global ID, which means {0|xxxx} is actually equivalent to xxxx (legacy format) itself, and will be allocated with all the resources in Symbol Index or Subcarrier Index. When there is no corresponding group defined (i.e. group 1 only defined in Symbol Index but not in Subcarrier Index), the group mapping will be ignored and it only maps to those resources in global group if they exist.

For example:

Symbol Index = {1|0},{2|1},2:3

Subcarrier Index = {1|-24:4:-4},{2|4:4:24},10

In this resource block, group 1 is allocated with subcarrier -24:4:-4 only in symbol 0, and group 2 is allocated with subcarriers 4:4:24 only in symbol 1. Symbol 2 and 3 belong to the global group and will be allocated with all the subcarriers -24:4:-4, 4:4:24 and 10. Subcarrier 10 belongs to global group and will be allocated in all symbols from 0 to 3. See the red areas of the resource mapping graph below. The data symbol to resource mapping order is not changed and also applicable to the new syntax.

When the new group ID syntax is used in either Symbol Index or Subcarrier Index, the ‘Repeat Every x Symbols’ in IQ values editor will be disabled and x is always set to 0, because there is no repetition between symbols.

Related Topic

Resource Mapping


User Interface - Arb

Real Time

User Interface

Menu Bar and Tool Bar | describes the menu bar selections and tool bar icons.
Status Bar | describes the information displayed in the status bar.
Hardware Settings | describes how to view and configure connected instrument parameters.
Waveform Setup | describes how to configure waveform parameters.


Menu Bar and Tool Bar

File

New

Open...

Save As...

Export Waveform Data

Recently Used Files

Exit

Control

Generate

Download

System

Change Hardware Connections

Run System Configuration Wizard

Tools

Options

Convert Waveform

VSA Custom OFDM MIMO Setup

Help

Contents

Search

API Reference

Software License Terms

Keysight Signal Studio website

About

File

New

Sets the software to its standard initial state using the current hardware configuration. The window name changes to Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters) or a GZIP format compressed settings file (.scpz).

Open

Opens a saved settings (.scp) or compressed settings (.scpz) file. Opening a settings file configures the waveform data parameters for use with the currently selected hardware.

To use a settings file with a different hardware configuration, select Change Hardware Connections or Run System Configuration Wizard and re-configure the hardware.

Save As

Saves the parameters configured in the Waveform Setup node and Instrument node to a specified settings file (.scp) or a GZIP format compressed settings file (.scpz). Settings files do not include the hardware configuration information such as LAN or GPIB settings for specific instruments listed in the Hardware node.

Export Waveform Data

Saves an encrypted waveform file (with a .wfm extension) to your PC. The file includes the settings and parameters from the Waveform Setup and Carrier nodes. This waveform file can then be downloaded and played in other licensed instruments.

Do not use spaces in the file name for an exported waveform. The underscore character is allowed.

Refer to your signal generator's Programming Guide for information about downloading waveform files to your instruments.

Recently Used Files

This area of the File menu displays the four most recent settings files that were opened with Open or saved with Save As. The settings file used most recently is added to the top of the list. Deleting a settings file does not immediately remove it from the list. Selecting a deleted settings file displays an error and then removes the file from the list.

If you have changed hardware parameters, but have not changed waveform setup parameters, you are not prompted to save changes when closing or exiting the software.

Exit

Stops and closes the software. The close window button [image] performs the same function as selecting Exit.

View

Preference

Opens the Preference dialog box in which you can turn determine which carrier versions to display. The carrier types that you turn Off in the Preference dialog box are not displayed in the drop-down lists of available carriers as shown below.

Control

Generate

Generates a waveform. Use this function to check for waveform errors before downloading or exporting the waveform.

Download

Generates and downloads a waveform to the connected instrument(s).

When a power-sensitive DUT is connected to the instrument, ensure that the RF power is off before downloading a waveform.

System

Change Hardware Connections

Opens Closed Step 2 of the System Configuration Wizard, where you can select a previously saved hardware configuration, or define and save a new hardware configuration.

Run System Configuration Wizard

Opens Closed Step 1 of the System Configuration Wizard, where you can configure your system component connections and save the hardware configuration for later use. Use the System Configuration Wizard to set up a new instrument connection.

Tools

Options

Enables or disables the Closed welcome dialog display.

Convert Waveform

Updates header information in legacy Signal Studio waveform files (*.wfm) so they can be used with N7608C-licensed instruments. Clicking this selection opens a file management window where you can select multiple waveform files at once. Click OK to begin the conversion. A progress bar is displayed. When complete, the converted waveform files appear in the same directory as the originals, keeping their same file names, but with "_new" appended to them. The original files remain unchanged.

VSA Custom OFDM MIMO Setup

This Closed tool converts two or four selected VSA single-antenna setups (.setx) to a single VSA MIMO setup. To use the tool, you must first know how VSA MIMO setups are defined and understand overlapping and non-overlapping modes. (Refer to "Making a Custom OFDM Measurement" in the VSA help for more information.)

Procedure

  1. Use the N7608C software to generate a VSA setup file (.setx) for each single-antenna configuration, as usual. (Refer to Save to 89600 Setup File.)

  2. Click VSA Setups for Single Antenna to select the setups you generated in the previous step. For example, choose 2 setup files for 2 antennas.

  3. Configure the overlapping mode according to the signal’s MIMO scheme.

  4. Click Generate VSA MIMO Setup to save the combined VSA setup file.

Help

Contents opens the help system and displays the table of contents. Press F1 to do the same.

Search opens the help system and displays the search utility.

API Reference opens the API help system, including programming commands and descriptions.

Software License Terms opens the Keysight Software End-User License Agreement (EULA).

Keysight Signal Studio website opens the Signal Studio web page, describing products, options, and bundles.

About displays the version and release date of the software.


Status Bar

The status bar at the bottom of the window updates in real-time to show the status of operations, such as waveform generation and downloading. Software licensing information for the connected instrument is also displayed here.

The status bar is divided into the following three sections:

Run Status Section

This section shows the status of the software's setup.

The following are some of the possible run status messages:

Initializing... | The software is setting up system parameters when the program starts.
Ready | The program successfully initialized.
Opening the settings file... | The program is reading the parameters from the settings file.
Saving the settings file... | The program is saving the parameters to a settings file.

Connection Status Section

This section shows the status of the connection to the instrument.

The following are some of the possible connection status messages:

Connected | The instrument connection is verified.
Not Connected | The software cannot connect to the instrument.
Blank (no text) | Simulated hardware mode.

Software Message Section

This section shows license status, waveform generation progress, and error information for your setup. To view messages for multiple errors, use the status window.


Hardware Settings

Click Hardware in the tree view to display read-only information about the system hardware. Expanding the Hardware node in the tree view reveals the Instrument node, which opens a window where you can change various instrument settings, such as frequency and amplitude.

For information about using the software to change instrument settings, see Instrument.

When using a simulated signal generator connection, <Simulated Hardware> appears in the Name cell and the Connection cell. N/A appears in most of the other cells.

1. System Details

Name

View the name assigned to the system.

Description

View the hardware configuration type.

2. RF Signal Generator Details

Connection

View connection details (LAN or GPIB).

Model Number

View the instrument model number.

Serial Number

View the instrument serial number.

Firmware Revision

View the instrument firmware revision number.

Related Topics

Instrument


Instrument

The topics listed below describe the instrument settings accessible through the Instrument node in the tree view of the software. Settings vary, according to the connected instrument.

Signal Generators (MXG/EXG, CXG, PSG, M9381A, M9420A/M9421A, M9383B/M9384B/M9484C)

M8190A AWG

M8195A AWG


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic

Instrument (Signal Generators)

This topic describes the software's instrument-control properties for the following signal generator models:

  • N5172B EXG and N5182B MXG

  • N5166B CXG

  • E8267D PSG

  • M9381A

  • M9420A/M9421A VXT

  • M9383B VXG-m, M9384B VXG, and M9484C VXG

To open the property grid, click Instrument in the software's tree view. If you are connecting to multiple instruments, the tree view displays a node for each.

The figure below shows the available property categories for a signal generator connection. Click the image links for detailed descriptions.

Update to Instrument

Click this button to send the parameters to the connected instrument.

Update from Instrument

Click this button to retrieve the parameters from the connected instrument.

Preset

Click this button to set the signal generator to a factory-defined or user-defined state.

Refer to the signal generator's user's guide for information on setting a user-defined state.

DC Cal

Click the DC Cal button to execute an I/Q DC calibration to minimize errors associated with offset voltages.

DC Cal minimizes I/Q offset errors for a single frequency only and must be repeated if the signal generator's settings change.

Download a waveform to set the correct parameters for the target instrument and activate this button.

Power Search

Click the Power Search button to execute a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

Download a waveform to set the correct parameters for the target instrument.

Hint

Select the Hint checkbox then click a parameter cell to display a brief description of the parameter.

Related Topics

1. Configuration

2. Basic

3. I/Q

4. ALC

5. Baseband

6. Dual ARB Marker Utilities

7. Trigger

8. Real-time AWGN Setup


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to description

1. Configuration

M9383B VXG-m, M9384B VXG, and M9484C VXG

Instrument Model Number

Displays the model number of the currently connected instrument.

Perform DC I/Q Calibration

Choice: On | Off

Default: On

Default: Off (M9381A)

Double-click or use the drop-down menu to enable or disable automatic DC I/Q calibration.

On − the signal generator automatically performs a DC I/Q calibration after downloading a waveform.

Off − the signal generator does not perform a DC I/Q calibration after downloading a waveform.

Baseband Channel Assignment

(M9383B/M9384B/M9484C only)

Choice: depends on the connected instrument

Default: 1

Sets the channel number for M9383B VXG-m, M9384B VXG, and M9484C VXG signal generators.

Related Topics

Instrument


2. Basic

M9420A/M9421A VXT

E8267D PSG

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

DC Calibration Enabled

(E8267D PSG only)

Double-click or use the drop-down menu to control the I/Q DC Calibration function.

RF Output

Choice: Off | On

Default: On

Double-click or use the drop-down menu to control the signal generator’s RF output state.

RF Output Port

(M9420A/M9421A VXT only)

Choice: RF Out | RFIO FD | RFIO HD

Default: RF Out

Double-click or use the drop-down menu to select the signal generator's RF output port.

Related Topics

Instrument


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

3. I/Q

M9383B VXG-m, M9384B VXG, and M9484C VXG

E8267D PSG

Internal Channel Correction

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the internal channel correction off or on.

RF Flatness Correction

(M9383B/M9384B/M9484C only)

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn the internal channel correction Off or On.

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range: -20% to 20 % (-25% to 25% for M9381A)

Step: 0.025%

Default: 0.000%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range: −20% to 20% (-25% to 25% for M9381A)

Step: 0.025 %

Default: 0.000%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

I/Q Gain Balance

Range: −1 dB to 1 dB

Default: 0.000 dB

Enter a gain ratio, by which I gain exceeds Q gain.

For example, if you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal. Use the gain balance to remove imperfections in I and Q or introduce calibrated impairments.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: -10 to 10 degrees

Default: 0.00 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

I/Q Timing Skew Path

Choice: RF | BB (Baseband)

Default: RF

Double-click or use the drop-down menu to select the I/Q timing skew path.

Set I/Q Adjustments to On to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Correction Optimization Path

Choice: RF Output | External I/Q Output

Default: RF Output

Double-click or use the drop-down menu to select the I/Q correction optimized path.

  • RF Output − Optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT path uncalibrated.

  • External I/Q Output − Optimize the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT path uncalibrated.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Skew

Range: -500 ns to 500 ns (-250 ns to 250 ns for M9381A)

Default: 0.0 seconds

Sets the time delay between I and Q. A positive value delays the I signal relative to the Q signal, and a negative value delays the Q signal relative to the I signal.

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

Set I/Q Adjustments to On to enable this parameter.

I/Q Delay

Range: -250 ns to 250 ns

Default: 0.0 seconds

Enter a value to set the I/Q delay with respect to triggers and markers.

Set I/Q Adjustments to On to enable this feature.

Swap I/Q

(M9383B/M9384B/M9484C only)

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the inverse phase rotation of the IQ signal by swapping the I and Q inputs.

Optimize Dynamic Range with OBW

(M9383B/M9384B/M9484C only)

Choice: On | Off

Default: On

Filters the system RF flatness correction coefficients over the instantaneous bandwidth indicated in the waveform header (or in the “Occupied Bandwidth” settings area under the Signal block when Waveform File is the Vector Modulation Signal Mode). This has the potential to improve EVM performance by not having to correct for flatness errors outside the requested bandwidth.

I/Q Path

(E8267D PSG only)

Choices: Wide

Default: Wide

Gets or sets the External analog I/Q inputs mode.

Wide: Using the Wideband external I/Q inputs, up to 2 GHz RF modulation bandwidth is now easily realized.

I/Q Enabled

(E8267D PSG only)

Choices: On | Off

Default: On

Double-click or use the drop-down menu to control the signal generator's I/Q state.

Related Topics

Instrument


Real Time

Go to topic Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

4. ALC

M9381A

M9383B VXG-m, M9384B VXG, and M9484C VXG

ALC Auto

(M9383B/M9384B/M9484C only)

Choice: On | Off

Default: On

Enables or disables ALC On and ALC Bandwidth couplings.

For IQ modulation, ALC Auto and Power Search Auto should be On.

ALC

Choice: On | Off

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

ALC Trigger Source Bus

(M9381A only)

Choice: AUTO | PXI0 | ... | PXI7

Default: AUTO

Double-click or use the drop-down menu to select a bus for ALC hold signal path on PXI backplane.

ALC Hold Mode

(M9381A only)

Choice: Off | Track on Marker | Hold on Marker

Default: Track on Marker

Double-click or use the drop-down menu to select how the ALC circuit in the output module functions when the ALC is enabled. ▪ Off − ALC hold is turned off. ▪ Track on Marker − When playing a waveform file and a Marker is crossed in the waveform file, the ALC will track on the Marker. ▪ Hold on Marker − When playing a waveform file and a Marker is crossed in the waveform file, the ALC will hold on that Marker.

ALC Bandwidth

Choices: Auto | 200 Hz | 2 kHz | 20 kHz

Default: Auto

Double-click or use the drop-down menu to select the ALC loop bandwidth. Choose Auto to let the signal generator automatically select the optimized bandwidth for the current signal setup.

This parameter is not available for all instrument model numbers and may be grayed out.

ALC Bandwidth

(M9383B/M9384B/M9484C only)

Choices: Very Slow | Slow | Medium | Fast

Default: Very Slow

Sets the detector feedback loop bandwidth depending on the modulation type running on the system to reach the requested absolute output power requested. Very narrow loop bandwidths (Very Slow) causes the leveling loop to pass rapidly changing amplitude levels, but still corrects for slow amplitude drift due to temperature variations or other effects over longer durations of time. Slow or Medium increases the loop bandwidth to partially correct/level for rapidly changing amplitude fluctuations. Fast increases the loop bandwidth provide rapid correction of or rapidly changing amplitude fluctuations. For IQ modulation the ALC & Power Search should always be set to Auto.

Very Slow – use for CW or modulation with low rate amplitude variation

Slow or Medium – use for CW or modulation without amplitude variation

Fast – use for CW, FM and pulse operation

Power Search Reference

Choice: RMS | Fixed | Manual | Modulated

Default: RMS

Double-click or use the drop-down menu to select a fixed or modulation reference signal when doing a power search.

  • RMS − power search uses DC bias that is equivalent to the value derived from the file header or the calculated value from the current I/Q data.

  • Fixed − power search uses a fixed DC bias value.

  • Manual− power search allows the user to specify the DC bias voltage.

  • Modulated − power search uses the AC bias from the actual modulating signal.

Set ALC to Off to enable this parameter.

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

  • Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

  • Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

Power Search Auto

(M9383B/M9384B/M9484C only)

Choice: On | Off

Default: On

Toggles Power Search Mode between On or Off.

When enabled, power search calibration routine is executed whenever an instrument setting is modified. This includes changes to frequency, amplitude and modulation.

For IQ modulation, ALC Auto and Power Search Auto should be On.

For M9383B/M9384B/M9484C, this parameter is grayed out and set to Very Slow when ALC Auto is On.

Related Topics

Instrument


5. Baseband

M9420A/M9421A VXT

Sample Clock

The sample clock frequency of the signal generator is automatically calculated by the program. The range depends on the connected instrument.

VCO Clock

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

Internal - the signal generator uses its internal VCO Clock.

External - the signal generator uses an external VCO Clock

This parameter is not available for all instrument model numbers and may be grayed out.

Waveform Runtime Scaling

Range: 1 to 100% (100% = no scaling)

Default: 70%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital-to-analog converters (DAC) and to reduce the overshoot associated with the DAC interpolation filter. Waveform Runtime Scaling does not change the data in the waveform file.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select a filter for I/Q signals modulated onto the RF carrier. The bandwidth of the baseband signal should dictate the minimum reconstruction filter bandwidth you choose. Depending on the oversampling ratio and where the image frequencies appear, you may want to select a wider bandwidth.

  • Auto − automatically selects a digital modulation filter

  • 2.1 MHz − applies a 2.1 MHz baseband filter to the I/Q signals

  • 40 MHz − applies a 40 MHz baseband filter to the I/Q signals

  • Through − bypasses filtering

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Output Filter

Choice: Auto | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select a filter or through path for routing I and Q signals to the rear panel I/Q outputs.

  • Auto − automatically selects an I/Q output filter

  • 40 MHz − applies a 40 MHz baseband filter

  • Through − bypasses filtering

This parameter is not available for all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Select the mode of the internal I/Q modulator.

  • Manual − manually set the attenuation level of the I/Q modulator using the Modulation Attenuation cell.

  • Auto − the attenuation level automatically sets to a value for best performance based on the digital modulation settings.

Modulation Attenuation

Range: 0.0 to 50.0 dB, the limits depend on the instrument types and options

Default: 6.0 dB

Use this parameter to reduce the signal level driving the I/Q modulation block. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

Set the Modulation Attenuation Mode to Manual to enable this parameter.

High Crest Mode

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to enable or disable the signal generator's high crest mode.

On – processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Attenuation levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

Off – disables the high crest mode.

This parameter is not available for all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s ARB reference source.

Internal – the signal generator uses its internally generated 10 MHz signal as the reference source.

External – the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available for all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.250 to 100 MHz

Default: 10 MHz

Enter a frequency value when using an externally supplied reference signal. See the signal generator user’s guide for information on external references.

Set ARB Reference to External to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

Related Topics

Instrument


6. Dual ARB Marker Utilities

Pulse/RF Blanking

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Double-click or use the drop-down menu to select an RF blanking function.

None – disables RF blanking.

Marker 1 through Marker 4 – selects a marker to activate RF blanking.

Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

RF blanking incorporates ALC hold, so you do not need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms to avoid exceeding the ALC hold limit.

ALC Hold

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

None – disables ALC hold.

Marker 1 through Marker 4 – assigns a marker for the ALC hold function.

When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and the output power level does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

The hold selection remains until you reconfigure it, preset the signal generator, or cycle the signal generator power.

Incorrect ALC settings can cause a sudden unleveled condition to occur. An unleveled RF output can damage a DUT or connected instrument. Ensure that you set markers such that the ALC obtains a sample that accounts for the high power levels within the signal.

Alternate Amplitude

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

None – disables the alternate amplitude function.

Marker 1 through Marker 4 – assigns a marker for the alternate amplitude function.

When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available for all instrument model numbers and may be grayed out.

Marker 1 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 1.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 2 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 2.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 3 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 3.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 4 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 4.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Related Topics

Instrument


Real Time

Go to topic Go to descriptionGo to descriptionGo to descriptionGo to descriptionGo to descriptionGo to descriptionGo to descriptionGo to descriptionGo to descriptionGo to descriptionGo to descriptionGo to descriptionGo to descriptionGo to descriptionGo to description

7. Trigger

M9381A

M9383B VXG-m, M9384B VXG, and M9484C VXG

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers, or select another waveform.

Single – sets up a waveform to play once after receiving a trigger.

Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must select External as the Trigger Source.

Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See Segment Advance.

Trigger Type

(M9383B/M9384B/M9484C only)

Choice: Continuous | Single

Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers, or select another waveform.

Single – sets up a waveform to play once after receiving a trigger.

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External – enables you to trigger a waveform with an externally supplied trigger signal.

Bus – enables you to trigger a waveform by sending a command through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector.

Trigger Source

(M9383B/M9384B/M9484C only)

Choice: Trigger Key | External | Bus | Immediate

Default: External

Adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

Trigger Key − selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External − enables you to trigger a waveform with an externally supplied trigger signal.

Immediate − enables immediate triggering of the waveform playing.

Bus − enables you to trigger a waveform by sending a command through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector.

External Termination

(M9383B/M9384B/M9484C only)

Choice: 50 Ohm | High Impedance

Default: High Impedance

Select the way the trigger line is terminated in the hardware.

External Level

(M9383B/M9384B/M9484C only)

Range: -3.5 to 3.5

Default: 0.5

Specifies the threshold level in volts at which the trigger transitions states.

External Source

Choice:

Pattern Trigger In 1 | Pattern Trigger In 2

M9381A: TRIG1 | PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Default:

Pattern Trigger In 1

M9381A: PXI0

Selects the rear-panel connector for the external trigger source. This parameter is enabled only if external triggering is selected as the trigger source..

Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 – selects the PATTERN TRIG IN 2 (AUXILIARY I/O) rear panel connector

For the M9381A PXIe VSG, double-click or use the drop-down menu to select the front-panel input for the external trigger signal. External must be selected as the trigger source.

TRIG1 – selects the Trig 1 front-panel SMA connector as the external trigger input for the M9381A PXIe VSG

PXI0-PXI7 – selects the backplane bus signal for the M9381A PXIe VSG

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select external (Ext) as the trigger source.

Positive – the signal generator triggers an event when it detects a rising edge on the PAT TRIG IN signal.

Negative – the signal generator triggers an event when it detects a falling edge on the PAT TRIG IN signal.

External Delay

Choice: On | Off

Default: Off

Turns the external trigger delay off or on. This parameter is active only after selecting External as the trigger source.

External Delay Time

Range: 5 ns to 41 s

Default: 1 ms

Default (M9383B/M9384B/M9484C): 0 s

Sets a delay time between when an external trigger is received and when it is applied to the waveform.

External Hold Off Time

(M9383B/M9384B/M9484C only)

Range: 4 ns to 10 s

Default: 1 ms

Sets the amount of time in seconds to hold off until the next trigger.

Playback Synchronization

(M9383B/M9384B/M9484C only)

Choice: On | Off

Default: On

Turns the Playback Synchronization off or on.

Only applied when Trigger Source is set to External and Trigger Type is set to Continuous.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run – immediately triggers when you turn the format on.

Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Trigger Pulse Generation

(M9381A only)

Choice: On | Off

Default: On

Enable or disable a trigger pulse generation after waveform downloading finished.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

Double-click or use the drop-down menu to select the single mode and one of the following trigger responses.

No Retrigger – the waveform segment ignores triggers during playback

Buffered Trigger – causes a waveform to accept a trigger during playback and to restart after the current play finishes.

Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

Segment Advance

Choice: Single | Continuous

Default: Continuous

Double-click or use the drop-down menu to select the segment advance mode and one of the following trigger responses.

Single – causes a segment to play once and to wait for a trigger before the sequence advances to the next segment.

Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

Gated

Choice: Active High | Active Low

Default: Active High

Double-click or use the drop-down menu to select the gated mode and one of the following trigger responses. To use the gated trigger mode, you must also select External.

Active Low – causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

Active High – causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.

Related Topics

Instrument


8. Real-time AWGN Setup

Real-time Noise

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

On – enables the addition Real-time Noise.

Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: -100 to 100 dB

Default: 0 dB

Enter a value to set the noise power as a ratio of carrier power to noise power (C/N). Carrier power equals the total modulated signal power before noise is added. When you add noise, the power output from the signal generator does not change; it is the sum of carrier power and the added noise power.

Carrier Bandwidth

Range:

N5172B/N5182B: 1.0 Hz to 200 MHz

N5182A: 1.0 Hz to 125 MHz

E4438C/E8267D 1.0 Hz to 80 MHz

Default: 1.0 Hz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio (the bandwidth of the target carrier). Also, the maximum upper range is limited to Base Sampling Rate x OSR before download is finished.

Noise Bandwidth Factor

Range: 1 to 2

Default: 1

Displays the flat noise bandwidth factor for the applied real-time noise.

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available for all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 1.0 Hz to 160.000 MHz, the limits are affected by the instrument types and options.

Default: 1.0 Hz

Sets the flat noise bandwidth, which is typically set wider than the carrier bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

Related Topics

Instrument


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Instrument (M8190A)

To access the instrument settings, click M8190A in the tree view. If there is more than one instrument connection, there will be a corresponding number of Instrument listings in the tree view. The figure below shows the Instrument property grid when connected to an M8190A AWG.

Update to Instrument

Click this button to send the parameters to the connected M8190A.

Downloading a waveform also updates settings to the instrument.

Update from Instrument

Click this button to retrieve the parameters from the connected M8190A.

Preset

Click this button to set the signal generator to a factory-defined or user-defined state.

Refer to the M8190A user's guide for information on setting a user-defined state.

1. Configuration

Instrument Model Number

Displays the model number of the currently connected instrument.

2. Basic

Instrument Couple State

Double-click or use the drop-down menu to enable or disable channel coupling. When enabled, several properties of channel 1 and channel 2 are coupled including: clock source, sample rate, output mode, interpolated mode and others.

Reference clock source

Choices: Exernal | Backplane | Internal

Default: External

Double-click or use the drop-down menu to select the M8190A reference source.

External - Use the reference signal provide to the REF CLK IN connector on the M8190A front panel. Be sure to set the reference frequency when external is used.

Backplane - Use the 100 MHz reference provided by the AXIe backplane.

Internal - Use the internal 100 MHz reference.

Reference Frequency

Range: 1 MHz to 200 MHz

Default: 10 MHz

Enter the frequency of the reference signal applied to the REF CLK IN connector.

Internal Sample Rate

Range:

14 Bit Direct Mode 125 MHz to 8 GHz

12 Bit Direct Mode 125 MHz to 12 GHz

Interpolated Mode 1.0 GHz to 7.2 GHz

Default: 1.0 GHz

Display the internal sample clock rate.

This property will be automatically updated by the software. It depends on Symbol Rate, Sample Rate or Bandwidth settings of the carrier, Oversampling Ratio of the waveform and Interpolated Mode of M8190A. At download time, if this property is out of its valid range, software will try to select a new interpolated ratio to fit the range. If it fails to find a proper interpolated ratio, an error message will be reported.

External Sample Rate

Range:

14 Bit Direct Mode 125 MHz to 8 GHz

12 Bit Direct Mode 125 MHz to 12 GHz

Interpolated Mode 1.0 GHz to 7.2 GHz

Default: 7.2 GHz

Set the external sample clock rate.

Sample Clock Out Source

Choices: Internal | External

Default: Internal

Select the clock source routed to the SAMPLE CLK OUT connector on the M8190A front panel.

Internal - Route the internal sample clock to the SAMPLE CLK OUT connector.

External - Route the sample clock signal from the SAMPLE CLK IN connector to the SAMPLE CLK OUT connector.

This property is coupled with channel 1 and channel 2 Clock Source when Channel Coupling is enabled.

3. Channel 1 Settings / 4. Channel 2 Settings

Clock Source

Choices: Internal | External

Default: Internal

Select the channel sample clock source.

Internal - Use the internal sample clock.

External - Use the external sample clock provided to the SAMPLE CLK IN connector on the M8190A front panel.

Channel 1 and Channel 2 clock sources are coupled when channel coupling is enabled.

Output Mode

Choices: Direct | Interpolated

Default: Interpolated

Select the channel output mode.

Direct - Output a baseband signal.

Interpolated - Output a complex modulated signal at the specified IF frequency. Requires Option DUC.

Channel 1 and Channel 2 output modes are coupled when channel coupling is enabled.

Direct Mode

Choices: Bits 12| Bits 14

Default: Bits 14

Double-click or use the drop-down menu to select the channel direct mode.

12 Bit - Set the DAC resolution to 12 bits with a maximum sample rate of 12 GHz. Requires option 12G.

14 Bit - Set the DAC resolution to 14 bits with a maximum sample rate of 8 GHz. Requires option 14B.

Channel 1 and Channel 2 direct modes are coupled when channel coupling is enabled.

Interpolated Mode

Choices: INTx3| INTx12 | INTx24 | INTx48

Default: INTx3

Select the up-sampling ratio used in interpolated mode. The I/Q data is automatically up-sampled to match the DAC sampling rate.

INTx3 - Set the ratio to 3.

INTx12 - Set the ratio to 12.

INTx24 - Set the ratio to 24.

INTx48 - Set the ratio to 48.

Channel 1 and Channel 2 interpolated modes are coupled when channel coupling is enabled or when channel 1 and channel 2 share the same clock source.

Output Route

Choices: Direct | DC | AC

Default: Direct

Select the channel output route.

Direct - Output is directly from DAC. This has the best IMD performance.

DC - Use the amplified DC output.

AC - Use the amplified AC output.

The AC and DC path share common output connectors on the front panel. The direct DAC path uses different connections on the front panel.

Output State

Choices: On | Off

Default: On

Enable or disable the current output state. The current output is determined by the Output Route property.

Complement Output State

Choices: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the current complement output. The current complement output is determined by the Output Route property.

DAC Format

Choices: RZ | NRZ | DNRZ | Doublet

Default: NRZ

Select the DAC format for this channel.

RZ - DAC returns to zero between each sample. Provides the flattest amplitude response with a 6 dB loss in maximum output power when compared to NRZ.

NRZ- The DAC does not return to zero between samples. Provides higher output power.

DNRZ - Optimized for best NRZ signal using two DACs.

Doublet - The DAC does not return to zero between samples. Provides flatter amplitude response in second Nyquist region. Use this mode when the IF output frequency is greater than 1/2 the DAC sample rate. Dont forget to swap I/Q data to account for spectrum mirroring.

DAC Voltage

Range:

Direct DAC: 100 mV to 700 mV

DC Output: 150 mV to 1.0 V

AC Output: 200 mV to 2.0 V

Default: 700 mV

Set the peak to peak output voltage.

DAC Voltage Offset

Range:

Direct DAC: -20 mV to 20 mV

DC Output: -500 mV to 1.0 V

AC Output: Not Applicable

Default: 0 Set the output offset voltage.

The full voltage offset range is coupled to the current Output Voltage and the Output Route values.

Differential Offset

Range: determined by calibration

Default: 0

Set the differential amplitude offset in DAC values. The hardware can compensate for little offset differences between the normal and complement output. This property is the offset to the calibrated optimum DAC value, so the minimum and maximum depend on the result of the calibration.

Fine Delay

Range:

Sample Rate < 2.5 GHz: 0 to 150 ps

Sample Rate 2.5 to < 6.25 GHz: 0 to 60 ps

Sample Rate ≥ 6.25 GHz: 0 to 30 ps

Default: 0 ps

Set the fine channel delay relative to a trigger or event. In order to compensate for e.g. external cable length differences as well as the initial skew, channel 1 and channel 2 can be independently delayed with a very high timing resolution. The variable delay is the sum of Fine Delay and Coarse Delay. Modifying the variable delay of one channel always affects the delay of the Analog Output AND the Sample Marker of that channel.

This property is configurable only when Reduced Noise Floor is disabled.

Course Delay

Range: 0 ps to 10 ns

Steps:

Sample Rate < 2.5 GHz: 50 ps

Sample Rate 2.5 to < 6.25 GHz: 20 ps

Sample Rate ≥ 6.25 GHz: 10 ps

Default: 0 ps

Set the course channel delay relative to a trigger or event. In order to compensate for e.g. external cable length differences as well as the initial skew, channel 1 and channel 2 can be independently delayed with a very high timing resolution. The variable delay is the sum of Fine Delay and Coarse Delay. Modifying the variable delay of one channel always affects the delay of the Analog Output AND the Sample Marker of that channel.

This property is configurable only when Reduced Noise Floor is disabled.

Reduced Noise Floor

Choices: On | Off

Default: On

Enable or disable reduced noise floor feature on this channel.

Carrier Frequency

Range: 0 to 12 GHz

Default: 1 GHz

Set the carrier frequency in DUC mode.

Carrier Scale

Range: 0.0 to 2.82843

Default: 2.82

Set the carrier scale. The carrier scale is used to prevent clipping of the digital data by the DAC. The digital up conversion (DUC) process can generate values that exceed the DAC range. Clipping is prevented by setting the carrier scale to less than the maximum value. Adjusting the carrier scale directly affects the signal output power and dynamic range. Larger values are better until clipping occurs.

Sample Marker Amplitude

Range: 0.0 V to 1.5 V

Set the sample marker output amplitude. Use abbreviations for faster entry (example: 50m = 50 mV).

Sample Marker Offset

Set the sampler marker amplitude offset. Use abbreviations for faster entry (example: 50m = 50 mV).

The full voltage offset range is coupled to the current Output Sample Marker Voltage and the Output Route values. For example, when the output route is DC Output ,the minimum offset is (Amplitude/2 -0.5)V, the maximum offset value is (1.75-Amplitude/2)V.

Sync Marker Amplitude

Range: 0.0 V to 1.5 V

Set the sync marker output amplitude. Use abbreviations for faster entry (example: 50m = 50 mV).

Sync Marker Offset

Set the sync marker amplitude offset. Use abbreviations for faster entry (example: 50m = 50 mV).

The full voltage offset range is coupled to the current Output Sync Marker Voltage and the Output Route values. For example, when the output route is DC Output ,the minimum offset is (Amplitude/2 -0.5)V, the maximum offset value is (1.75-Amplitude/2)V.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Instrument (M8195A)

To access the instrument settings, click M8195A in the tree view. If there is more than one instrument connection, there will be a corresponding number of Instrument listings in the tree view. The figure below shows the Instrument property grid when connected to an M8195A AWG.

Update to Instrument

Click this button to send the parameters to the connected instrument.

Update from Instrument

Click this button to retrieve the parameters from the connected instrument.

Preset

Click this button to set the signal generator to a factory-defined or user-defined state.

Refer to the signal generator's user's guide for information on setting a user-defined state.

DC Cal

Click the DC Cal button to execute an I/Q DC calibration to minimize errors associated with offset voltages.

DC Cal minimizes I/Q offset errors for a single frequency only and must be repeated if the signal generator's settings change.

Download a waveform to set the correct parameters for the target instrument and activate this button.

Power Search

Click the Power Search button to execute a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

Download a waveform to set the correct parameters for the target instrument.

1. Basic

Carrier Frequency

Range: 0 to 32 GHz

Set the value of the carrier frequency. Please note that the carrier frequency value only takes effect after downloading the waveform.

Carrier Scale

Range: 0 to 2.82843

Set the amplitude scale of the output signal.

Voltage

Range: 75 mV to 1 V

Set the amplitude of the output signal.

Reference Source

Choices: External | Backplane | Internal

Default: Internal

Double-click or use the drop-down menu to select the channel clock source.

Internal - Use the internal sample clock.

External - Use the external sample clock provided to the SAMPLE CLK IN connector on the M8195A front panel.

Output State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to control the signal generator’s RF output state.

Sample Rate

Range: 54 GHz to 65 GHz

Set the internal sample clock rate, the samples in the waveform are resampled from the sample frequency taken from the waveform header to the sample frequency currently configured in the M8195A. Use abbreviations for faster entry (example: 1g = 1.0 GHz).

FIR Scale

Range: 0.1 to 1

Set the FIR filter scaling factor.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Waveform Setup

The Waveform Name and Comments parameters no longer appear in this new model (N7608C) of the software. The waveform name is now fixed to 'CustomModulation.' If you recall a settings file (.scp) from the previous model (N7608B), the waveform name will also be changed to 'CustomModulation.'

Shortcut by Application

Opens a drop-down menu where you can quickly access preset configurations for a specific application. (See table of selections below.)

Cellular | LTE | LTE: Downlink 5MHz LTE: Uplink 5MHz
Wireless Networking | WLAN | WLAN: IEEE 802.11e
 | ZigBee | BPSK O-QPSK
 | Wi-SUN(802.15.4g) | 2-FSK 50/1 2-FSK 100/0.5
 | ITU-T G.9959 | R2-40 kps R3-100 kps
 | 802.15.3d
Digital Video | DVB-T/H | DVB-T/H 2K 1/8
 | ISDB-T | ISDB-T (Model3, 1+12)
 | DOCSIS | DOCSIS 3.1 Upstream DOCSIS 3.1 Downstream
 | DVB-S2 | QPSK
 |  | 8PSK
 |  | 16APSK | 4+12APSK 2/3 4+12APSK 3/4 4+12APSK 4/5 4+12APSK 5/6 4+12APSK 8/9 4+12APSK 9/10
 |  | 32APSK | 4+12+16APSK 3/4 4+12+16APSK 4/5 4+12+16APSK 5/6 4+12+16APSK 8/9 4+12+16APSK 9/10
 | DVB-S2X | 8APSK | 2+4+2APSK 100/180 2+4+2APSK 104/180
 |  | 16APSK | 4+12APSK 26/45 4+12APSK 3/5 4+12APSK 28/45 4+12APSK 23/36 4+12APSK 25/36 4+12APSK 13/18 4+12APSK 140/180 4+12APSK 154/180 4+12APSK 7/15 4+12APSK 8/15 4+12APSK 26/45 4+12APSK 3/5 4+12APSK 32/45 8+8APSK 90/180, 96/180, 100/180 8+8APSK 18/30 8+8APSK 20/30
 |  | 32APSK | 4+12+16APSK 2/3 4+12+16APSK Short 2/3 4+12+16APSK Short 32/45 4+8+4+16APSK 128/180 4+8+4+16APSK 132/180 4+8+4+16APSK 140/180
 |  | 64APSK | 16+16+16+16APSK 128/180 8+16+20+20APSK 7/9 8+16+20+20APSK 4/5 8+16+20+20APSK 5/6 4+12+20+28APSK 132/180
 |  | 128APSK | 128APSK 135/180 128APSK 140/180
 |  | 256APSK | 256APSK 116/180 256APSK 124/180 256APSK 128/180 256APSK 135/180 256APSK 20/30 256APSK 22/30
Land Mobile Radio | APCO25 | C4FM CQPSK HCPM HDQPSK
 | TETRA
 | NXDN | 4800bps 9600bps
 | dPMR
 | DECT
 | DMR
 | ARIB | T98 T61 T102
Broadcast Radio | DAB | DAB Mode I
 | CDR | CDR TxMode 1, Spectrum Mode 2 CDR TxMode 1, Spectrum Mode 9 CDR TxMode 1, Spectrum Mode 10
 | DRM | DRM: ModeB 20K DRM: ModeB 9K

Shortcut by Modulation

Opens a drop-down menu where you can quickly access preset configurations for a specific modulation type. (See table of selections below.)

OFDM
FBMC OQAM
UFMC
GFDM
F-OFDM
QAM & ASK & PSK | 2ASK BPSK QPSK 16QAM 64QAM 256QAM
FSK | 2FSK 4FSK 8FSK 16FSK 32FSK 64FSK MSK
SOQPSK | SOQPSK-TG (IRIG 106-04) SOQPSK-A SOQPSK-B
ARTM Multi-h CPM
Analog Modulation | AM FM PM
Radar | FMCW Radar MFSK Radar Customized Chirp
Channel Sounding

1. Custom Modulation

Playback License Mode

Choices: PC License | Instrument License

Default: PC License.

Select the playback license mode. If no PC license is available, only Instrument License can be used.

Licensing of Signal Studio Pro Software

 |  | N76xxAPPC | N76xxEMBC
License File Presence |  | PC (running Signal Studio Pro software) | Signal Generator
Playback License Mode |  | Two selections (PC License | Instrument License) | One selection (Instrument License)
Available Software Functions | Live Connection to Signal Generator | ü | ü
 | VSA .SETX Export | ü | ü
 | Programming API | ü | ü
 | Waveform Export | ü | ü

License Mode Switching

You can switch waveform playback license mode to take advantage of an instrument license, even when a PC license is available with GUI parameter "Playback License Mode" under "Waveform Setup" node, "Basic" group.

  • Playback License Mode has 2 selections: PC License | Instrument License

  • When "PC License" is selected, "Waveform Name" should be hidden (you cannot change the waveform name). And Waveform Name API is read-only (not accepting waveform name change).

  • When valid PC license (N7608APPC) exists, this parameter is active and you can choose either one. Default is "PC License."

  • When valid PC license does NOT exist, this parameter is read-only and "Instrument License" mode is selected.

  • Window Closed caption displays "[PC License]" or "[Instrument License]" to indicate the currently selected license mode.

Custom Modulation

Choices: Custom IQ | Custom OFDM | 5G Candidate

Default: Custom OFDM

Select the custom modulation format of the waveform. The tree view nodes and associated properties in the parameter view change with each selection.

  • Custom IQ: Single carrier signal with user-defined IQ constellations.

  • Custom OFDM: Multicarrier signal based on OFDM with user-defined settings.

  • 5G Candidate: Multicarrier signal with 5G PHY scheme.

2. Basic

Number of Frames

Range: 1 to 300

Default: 1

Enter the number of frames included in the waveform.

User Defined Sample Rate

Choices: On | Off

Default: Off

Enable or disable the User Defined Sample Rate, if enabled, the OverSamplingRatio will not be used.

User defined sample rate is not applicable for Radar signal.

Oversampling Ratio

Range:

OFDM/F-OFDM: 1 to 1024

Others: 2 to 1024

Default:

Custom IQ: 32

Custom OFDM: 4

5G Candidate: 4

Enter the oversampling ratio of the waveform. The Total Sample Points is automatically determined based on the oversampling ratio.

Oversampling Ratio is not applicable for Radar signal.

Sample Rate

Range: 100 MHz to 100 GHz

Default: 200 MHz

Set the value of user defined sample rate if user defined sample rate is enabled.

Total Sample Points

Displays the generated waveform length in sample points. This value is read-only and automatically updates with changes to oversampling ratio, number of frames, and custom modulation type.

Waveform Length

Displays the generated waveform length in seconds. This value is read-only and automatically updates with changes to oversampling ratio, number of frames, and custom modulation type.

Mirror Spectrum

Choices: On | Off

Default: Off

Enable or disable the mirror spectrum (inverted IQ) for the waveform.

Number of Antennas

Range: 1 to 8

Default: 1

Enter the number of antennas included in the waveform,

When the Number of Antennas is larger than or equal to 2, each antenna’s CCDF and waveform plots are figured individually.

3. Marker

Marker 1 Source

Choices: Waveform Start | Frame Start | RF Blanking Control | RF ALC Control

Default: Waveform Start

Select the source for marker 1.

  • Waveform Start: It indicates the beginning of the waveform.

  • Frame Start: It indicates the beginning of each frame in the waveform.

  • RF Blanking Control: It indicates the burst part in the waveform.

  • RF ALC Control: It indicates the part used for ALC control in the waveform.

Marker 2 Source

Choices: Waveform Start | Frame Start | RF Blanking Control | RF ALC Control

Default: Frame Start

Select the source for marker 2.

  • Waveform Start: It indicates the beginning of the waveform.

  • Frame Start: It indicates the beginning of each frame in the waveform.

  • RF Blanking Control: It indicates the burst part in the waveform.

  • RF ALC Control: It indicates the part used for ALC control in the waveform.

Marker 3 Source

Default: RF Blanking Control

Displays the source for marker 3. RF Blanking Control is always used as Marker 3 source.

Marker 4 Source

Default: RF ALC Control

Displays the source for marker 4. RF ALC Control is always used as Marker 4 source.

4. Crest Factor Reduction

Crest Factor Reduction

Choices: On | Off

Default: Off

Enable or disable the crest factor reduction for the waveform. When enabled, peak cancellation algorithm is used to subtract a weighted version of the cancellation pulses from the original input signal. It strikes a balance between the out-of-band emission and in-band waveform quality when reducing the PAPR of the signal.

Crest Factor Reduction is always visible and configurable under Waveform Setup, however, supporting parameters appear only when Crest Factor Reduction is enabled. If the waveform PAPR is already lower than the target level, then no processing will be performed on the original waveform.

Target PAPR

Range: 3 to 100 dB

Default: 8 dB

Set the PAPR value to achieve after crest factor reduction.

Max Iteration

Range: 1 to 20

Default: 10

Specify the maximum times of iteration.With the increasing of iteration, the PAPR value should converge to a steady level.

Cancelling Percent

Range: 0 to 100%

Default: 100%

Specify the percentage that the cancellation pulses can be removed.

Block Size

Range: 20 to Waveform Total Sample Points

Default: 1000

Block is the range that a single cancellation pulse can be identified. If the waveform length is L, and the block size is B, then the number of blocks is N=floor(L/B)+1. Therefore, there will be N pulses at most to be removed.

Filter Mask

Opens the Closed Filter Mask for Crest Factor Reduction editor to define a filter response in frequency domain. In the table, the frequency points must be entered with an order of increasing frequency in unit of MHz, and its corresponding amplitude is in unit of dB. When generating this filter mask, the frequency points between the specified points are linearly interpolated. When signal symbol rate is changed, this table will be automatically updated. User may need to adjust the mask manually to fit the signal bandwidth.

The format of Filter Mask string, appearing in the parameter field, is: <freq 1>,<amp 1>; <freq 2>,<amp 2>;….<freq n>,<amp n>.

Multicarrier

Multicarrier Enabled

Choices: On | Off

Default: Off

Enable or disable the multicarrier mode for waveform generation, when enabled, waveform which has at least one carrier will be generated, the count of carriers is decided by the frequency offsets definition, When disabled, waveform with only one carrier will be generated.

Number of Carriers

Indicate how many carriers has been defined and is a read only value.

Carrier Phases

Choices: Fixed | Random

Default: Random

Define the initial phase of every carrier when multicarrier mode enabled. “Fixed” means all carriers has same initial phase which is zero; “Random” means initial phase of every carrier is random value.

Payload Data Offset

Range: 0 to 65535

Default: 0

Define the payload data offset between each carriers when multicarrier mode enabled, it is only applied for Custom IQ.

Frequency Offsets

Opens a window where you can define the frequency offset of every carrier for multicarrier mode. There are three methods that can be used:

  • To configure by individual carrier, use "," as delimiter. For example: "1MHz,2MHz,10MHz,20MHz" as frequency offsets for 4 carriers.

  • To configure by a range of carriers, use ":" to define the start frequency offset of first carrier, frequency step and the count of multi carriers. For example,"1MHz:2MHz:5" means 5 carriers offsets defined as "1MHz,3MHz,5MHz, 7MHz,9MHz"

  • Above 2 ways can be used by combination. For example: "1MHz:2MHz:5, 20MHz,30MHz"

Power Offsets

Opens a window where you can define the power offset of every carrier for multicarrier mode. There are three methods that can be used:

  • To configure by individual power offsets, use "," as delimiter. For example: "0,-1,0,-1" means the power offset for 1st carrier is 0 dB , -1dB for 2nd carrier,0dB for 3rd carrier and -1dB for 4th carrier.

  • To configure by a range of power offsets, use ":" to define the power offset of first carrier, power offset step and the count of multi carriers. For example,"0:-1:5" means "0,-1,-2, -3,-4".

  • Above 2 ways can be used by combination. For example: "0:-1:5, -8,-9".

The count of final power offsets definition is also decided by value of frequency offsets, because they need to have same count.

Unit is dB.

6. Correction

Equalization Enabled

Choices: On | Off

Default: Off

Coupling: Coupled with VSA Equalization Data File and Equalization Bandwidth.

Enable or disable equalization for waveform generation. When enabled, equalization will be applied to the generated waveform according to the EQ Data from VSA.

VSA Equalization Data File

Choices: The file type should be .csv

Load the EQ data file from VSA. You can type out the directory of the EQ file or browse it in your computer.

Equalization Bandwidth

Range: The equalization bandwidth should not be larger than the sampling rate of the waveform

Coupling: Coupled with the sampling rate of the waveform

The equalization will be performed within this bandwidth.

Graph View

The graph view displays several different representations of the generated waveform. For more information, see Graph View.


Custom IQ

ASK & PSK & QAM

FSK

SOQPSK

ARTM Multi-h CPM

Analog Modulation

Radar

Channel Sounding


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Custom IQ - ASK & PSK & QAM

The Custom IQ Type: APSK & PSK & QAM waveform setup allows you to configure a frame with multiple data segments and/or idle segments. For each data segment, the modulation type can be further configured using a graphical constellation settings editor.

Quick Setups

Use this Closed drop-down menu to select a modulation type from several supported formats. A single data segment using that modulation type appears in the segment list below. Click the cell in the Constellation column to open the Constellation Setting window, providing a graphical display and editing features (video). Quick setups enable you to configure complex signals for signal generation, equivalent to 89600B VSA setups in signal analysis.

DVB-S2 and DVB-S2X quick setups also add a PLHEADER segment before the data segment, as defined in the standard.

Quick Setups IQ Settings

Standard |  | Modulation | Symbol Rate | Filter
DVB-S2 | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 16APSK | 4+12APSK 2/3, 4+12APSK 3/4, 4+12APSK 4/5, 4+12APSK 5/6, 4+12APSK 8/9, 4+12APSK 9/10
 | 32APSK | 4+12+16APSK 3/4, 4+12+16APSK 4/5, 4+12+16APSK 5/6, 4+12+16APSK 8/9, 4+12+16APSK 9/10
DVB-S2X | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 8APSK | 2+4+2APSK 100/180, 2+4+2APSK 104/180
 | 16APSK | 4+12APSK Normal 26/45; 4+12APSK Normal 3/5; 4+12APSK Normal 28/45; 4+12APSK Normal 23/36; 4+12APSK Normal 25/36; 4+12APSK Normal 13/18; 4+12APSK Normal 140/180; 4+12APSK Normal 154/180; 4+12APSK Short 7/15; 4+12APSK Short 8/15; 4+12APSK Short 26/45; 4+12APSK Short 3/5; 4+12APSK Short 32/45; 8+8APSK Normal 90/180, 96/180, 100/180; 8+8APSK Normal 18/30; 8+8APSK Normal 20/30
 | 32APSK | 4+12+16APSK Normal 2/3, 4+12+16APSK Short 2/3, 4+12+16APSK Short 32/45, 4+8+4+16APSK 128/180, 4+8+4+16APSK 132/180, 4+8+4+16APSK 140/180
 | 64APSK | 16+16+16+16APSK 128/180, 8+16+20+20APSK 7/9, 8+16+20+20APSK 4/5, 8+16+20+20APSK 5/6, 4+12+20+28APSK 132/180,
 | 128APSK | 128APSK 135/180, 128APSK 140/180
 | 256APSK | 256APSK 116/180, 256APSK 124/180, 256APSK 128/180, 256APSK 135/180, 256APSK 20/30, 256APSK 22/30
APCO25 | C4FM | 4FSK (0.6 kHz, 1.8 kHz, -0.6 kHz, -1.8 kHz) | 4.8 ksps | NYQ (0.2) + 1/Sinc
 | CQPSK* | Pi/4 DQPSK | 4.8 ksps | NYQ
 | HCPM | 4FSK (1 kHz, 3 kHz, -1 kHz, -3 kHz) | 6 ksps | APCO25 HCPM
 | HDQPSK | Pi/4 DQPSK | 6 ksps | APCO25 HDQPSK
TETRA |  | Pi/4 DQPSK | 18 ksps | RNYQ (0.35)
NXDN | 4800 bps | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2) + Sinc
 | 9600 bps | 4FSK (0.8 kHz, 2.4 kHz, -0.8 kHz, 2.4 kHz) | 4.8 ksps | RNYQ (0.2) + Sinc
dPMR |  | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2)
DECT |  | 2FSK (-288 kHz, 288 kHz) | 1.152 Msps | Gaussian (0.5)
DMR |  | 4FSK (0.648 kHz, 1.944 kHz, -0.648 kHz, -1.944 kHz) | 4.8 ksps | RNYQ (0.2)
ARIB | T98/T61* | Pi/4 DQPSK | 9.6 ksps | RNYQ (0.2)
 | T102 | 4FSK (0.33 kHz, 0.99 kHz, -0.33 kHz, -0.99 kHz) | 4.8 ksps | ARIB T102 RNYQ (0.2) + Gaussian (0.769)
Zigbee | BPSK | BPSK | 600 ksps | NYQ (1)
 | OQPSK | OQPSK | 1 Msps | Half Sine
WiSUN (802.15.4g) | 2FSK 50/1 | 2FSK (-25 kHz, 25 kHz) | 50 ksps | Gaussian (0.5)
 | 2FSK 100/0.5 | 2FSK (-25 kHz, 25 kHz) | 100 ksps | Gaussian (0.5)
ITU-T G.9959 | R2 | 2FSK (-20 kHz, 20 kHz) | 40 ksps | Rectangle
 | R3 | 2FSK (-29 kHz, 29 kHz) | 100 ksps | Gaussian (0.6)
802.15.3d |  | CES: pi/2 BPSK Frame Header: pi/2 BPSK Payload: 64QAM | 25.92 Gsps | RNYQ (0.25)

* For APCO25 CQPSK and ARIB T98/T61, the ALC is set to off to achieve better EVM. For all other cases, the ALC is on.

Payload, Idle Interval, Ramp Symbols, and Number of Symbols will be set to default values.

Save to 89600 VSA Setup

This feature saves the Custom IQ configuration as an 89600B VSA setup file, making it easier to configure complex constellations, such as 256APSK.

VSA software must be version 18.0 or later to support Custom IQ demodulation. If there is more than one data segment configured in the list, they will be saved as VSA setup file with FlexFrame measurement, which was supported from VSA2022 release. Idle segments cannot be saved to the setup file.

ASK & PSK & QAM

Differential and offset modulation types (e.g. pi/4 DQPSK or OQPSK) are found under DigitalDemod on the VSA.

The VSA does not support the APCO25 HDQPSK filter.

FSK

FSK configurations are found under DigitalDemod on the VSA.

The VSA does not support ARIB T102 and NXDN filters.

For added convenience, you can save the VSA setup as a quick setup in the VSA's Custom IQ Demod Property window. To do this, recall the Signal Studio VSA setup file, perform the measurement, and then click Save As Quick Setup. Now, whenever you click Quick Setups, you will find your previously saved setup listed among the other setups provided with the VSA software. Using this method, you no longer need to recall the Signal Studio VSA setup file each time you want to perform a measurement.

1. Custom IQ Selection

Custom IQ Type

Choices: ASK & PSK & QAM | FSK | SOQPSK | ARTM Multi-h CPM | Analog Modulation | Radar | Channel Sounding

Default: ASK & PSK & QAM

Select the type of Custom IQ.

2. Custom ASK PSK QAM Settings

Symbol Rate

Range: 1 kSa/s to 100 GSa/s

Default: 1 MSa/s

Sets the symbol rate of the waveform.

Filter

Choices: Low Pass| Gaussian | Root Nyquist | Nyquist | Rectangle | APCO25 HDQPSK | Half Sine | User Defined

Default: Root Nyquist

Select the filter type to be applied to the waveform.

Alpha

Range: 0.01 to 1.0

Default: 0.5

Sets the alpha factor of the Root Nyquist or Nyquist filter.

Filter Coefficient

Opens a Closed Filter Editor window where you can import, export, and edit filter coefficients. A convenient plot of the filter's impulse response is displayed and updates as coefficients are changed. Imported and exported coefficient files are in text (*.txt) or comma-separated values (*.csv) format.

Bandwidth

Range: 1 kHz to Sample Rate

Default: 1 MHz

Sets the bandwidth for a low-pass filter.

BT

Range: 0.1 to 1.0

Default: 0.5

Sets the BT product of the Gaussian filter.

Length(symbol)

Range: 1 to 2048

Default: 32

Sets the length of the filter in symbols.

Add Segment

Choices: Data Segment | Idle Segment

Adds a segment row to the end of the segment table. Choose between data and idle segments.

Remove Segment

Removes the selected segment row from the segment table.

Move Up

Moves the selected segment row up one position in the segment table.

Move Down

Moves the selected segment row down one position in the segment table.

Name

Sets the name of the segment. Click on the name to edit.

Type

Displays the segment type: DATA or IDLE.

Number of Symbols

Range: 1 to 8388608

Default: 1000

Set the length of the segment in number of modulated symbols.

It's better to be an even number for Pi/4 DQPSK and Pi/8 D8PSK case for non-burst signal.

Ramp Samples

Range: 0 to 1000

Default: 0

Set the length of ramp samples for each data segment. Not configurable for idle segments.

Payload

Choices: PN9 | PN15 | PN23 | Custom Bit Pattern | User File

Default: PN9

Opens the Closed Data Setup editor to configure payload bits.You can also load, save, and create custom bit patterns.

Constellation

Choices: BPSK | QPSK | 8PSK | 16QAM | 32QAM | 64QAM | 128QAM | 256QAM | 512QAM | 1024QAM | 2048QAM | 4096QAM | User defined

Default: 16QAM

Displays the modulation type for the segment. Click the cell to open the Constellation Setting window where you can customize the constellation.

Phase Rotation

Range: 0 to 360

Default: 0

Set an additional phase rotation applied to the constellation for the segment. To view the phase rotation, you can check the Show Rotation checkbox in the Constellation Setting window.

Shift

Enable or disable shift for phase rotation. When enabled, the phase rotation is only applied to the odd symbol. For example: pi/2 shift BPSK, pi/4 shift QPSK. When shift is enabled, differential and offset are disabled and set to false. When differential or offset is enabled, shift is disabled and set to false.

Bits Per Symbol

Displays the number of bits contained in one modulated symbol.

Differential

Enable or disable the differential encoding for the segment. This can be enabled only for BPSK, QPSK, and 8PSK constellations. Differential and Offset modes cannot be enabled simultaneously.

Offset

Enable or disable IQ offset by half symbol time. This can only be enabled for a QPSK constellation. Differential and Offset modes cannot be enabled simultaneously.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Custom IQ - FSK

Quick Setups

Use this Closed drop-down menu to select a modulation type from several supported formats. A single data segment using that modulation type appears in the segment list below. Click the cell in the Constellation column to open the Constellation Setting window, providing a graphical display and editing features (video). Quick setups enable you to configure complex signals for signal generation, equivalent to 89600B VSA setups in signal analysis.

DVB-S2 and DVB-S2X quick setups also add a PLHEADER segment before the data segment, as defined in the standard.

Quick Setups IQ Settings

Standard |  | Modulation | Symbol Rate | Filter
DVB-S2 | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 16APSK | 4+12APSK 2/3, 4+12APSK 3/4, 4+12APSK 4/5, 4+12APSK 5/6, 4+12APSK 8/9, 4+12APSK 9/10
 | 32APSK | 4+12+16APSK 3/4, 4+12+16APSK 4/5, 4+12+16APSK 5/6, 4+12+16APSK 8/9, 4+12+16APSK 9/10
DVB-S2X | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 8APSK | 2+4+2APSK 100/180, 2+4+2APSK 104/180
 | 16APSK | 4+12APSK Normal 26/45; 4+12APSK Normal 3/5; 4+12APSK Normal 28/45; 4+12APSK Normal 23/36; 4+12APSK Normal 25/36; 4+12APSK Normal 13/18; 4+12APSK Normal 140/180; 4+12APSK Normal 154/180; 4+12APSK Short 7/15; 4+12APSK Short 8/15; 4+12APSK Short 26/45; 4+12APSK Short 3/5; 4+12APSK Short 32/45; 8+8APSK Normal 90/180, 96/180, 100/180; 8+8APSK Normal 18/30; 8+8APSK Normal 20/30
 | 32APSK | 4+12+16APSK Normal 2/3, 4+12+16APSK Short 2/3, 4+12+16APSK Short 32/45, 4+8+4+16APSK 128/180, 4+8+4+16APSK 132/180, 4+8+4+16APSK 140/180
 | 64APSK | 16+16+16+16APSK 128/180, 8+16+20+20APSK 7/9, 8+16+20+20APSK 4/5, 8+16+20+20APSK 5/6, 4+12+20+28APSK 132/180,
 | 128APSK | 128APSK 135/180, 128APSK 140/180
 | 256APSK | 256APSK 116/180, 256APSK 124/180, 256APSK 128/180, 256APSK 135/180, 256APSK 20/30, 256APSK 22/30
APCO25 | C4FM | 4FSK (0.6 kHz, 1.8 kHz, -0.6 kHz, -1.8 kHz) | 4.8 ksps | NYQ (0.2) + 1/Sinc
 | CQPSK* | Pi/4 DQPSK | 4.8 ksps | NYQ
 | HCPM | 4FSK (1 kHz, 3 kHz, -1 kHz, -3 kHz) | 6 ksps | APCO25 HCPM
 | HDQPSK | Pi/4 DQPSK | 6 ksps | APCO25 HDQPSK
TETRA |  | Pi/4 DQPSK | 18 ksps | RNYQ (0.35)
NXDN | 4800 bps | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2) + Sinc
 | 9600 bps | 4FSK (0.8 kHz, 2.4 kHz, -0.8 kHz, 2.4 kHz) | 4.8 ksps | RNYQ (0.2) + Sinc
dPMR |  | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2)
DECT |  | 2FSK (-288 kHz, 288 kHz) | 1.152 Msps | Gaussian (0.5)
DMR |  | 4FSK (0.648 kHz, 1.944 kHz, -0.648 kHz, -1.944 kHz) | 4.8 ksps | RNYQ (0.2)
ARIB | T98/T61* | Pi/4 DQPSK | 9.6 ksps | RNYQ (0.2)
 | T102 | 4FSK (0.33 kHz, 0.99 kHz, -0.33 kHz, -0.99 kHz) | 4.8 ksps | ARIB T102 RNYQ (0.2) + Gaussian (0.769)
Zigbee | BPSK | BPSK | 600 ksps | NYQ (1)
 | OQPSK | OQPSK | 1 Msps | Half Sine
WiSUN (802.15.4g) | 2FSK 50/1 | 2FSK (-25 kHz, 25 kHz) | 50 ksps | Gaussian (0.5)
 | 2FSK 100/0.5 | 2FSK (-25 kHz, 25 kHz) | 100 ksps | Gaussian (0.5)
ITU-T G.9959 | R2 | 2FSK (-20 kHz, 20 kHz) | 40 ksps | Rectangle
 | R3 | 2FSK (-29 kHz, 29 kHz) | 100 ksps | Gaussian (0.6)
802.15.3d |  | CES: pi/2 BPSK Frame Header: pi/2 BPSK Payload: 64QAM | 25.92 Gsps | RNYQ (0.25)

* For APCO25 CQPSK and ARIB T98/T61, the ALC is set to off to achieve better EVM. For all other cases, the ALC is on.

Payload, Idle Interval, Ramp Symbols, and Number of Symbols will be set to default values.

Save to 89600 VSA Setup

This feature saves the Custom IQ configuration as an 89600B VSA setup file, making it easier to configure complex constellations, such as 256APSK.

VSA software must be version 18.0 or later to support Custom IQ demodulation. If there is more than one data segment configured in the list, they will be saved as VSA setup file with FlexFrame measurement, which was supported from VSA2022 release. Idle segments cannot be saved to the setup file.

ASK & PSK & QAM

Differential and offset modulation types (e.g. pi/4 DQPSK or OQPSK) are found under DigitalDemod on the VSA.

The VSA does not support the APCO25 HDQPSK filter.

FSK

FSK configurations are found under DigitalDemod on the VSA.

The VSA does not support ARIB T102 and NXDN filters.

For added convenience, you can save the VSA setup as a quick setup in the VSA's Custom IQ Demod Property window. To do this, recall the Signal Studio VSA setup file, perform the measurement, and then click Save As Quick Setup. Now, whenever you click Quick Setups, you will find your previously saved setup listed among the other setups provided with the VSA software. Using this method, you no longer need to recall the Signal Studio VSA setup file each time you want to perform a measurement.

1. Custom IQ Selection

Custom IQ Type

Choices: ASK & PSK & QAM | FSK | SOQPSK | ARTM Multi-h CPM | Analog Modulation | Radar | Channel Sounding

Default: ASK & PSK & QAM

Select the type of Custom IQ.

FSK Settings

FSK Type

Choices: 2-FSK | 4-FSK | 8-FSK | 16-FSK | 32-FSK | 64-FSK | MSK

Default: 2-FSK

Selects the FSK type.

FSK Deviation Reference

Range: 0 - SymbolRate * 10 (Max 4GHz)

Default: 1 MHz

Sets the FSK deviation reference.

Symbol Rate

Range: 1 ksps - 4 Gsps

Default: 1 Msps

Sets the symbol rate of the FSK signal.

Filter

Choices: Gaussian | Root Nyquist | Nyquist | Rectangle | APCO25 C4FM | APCO25 HCPM | ARIB T 102 | NXDN | User Defined

Default: Rectangle

Selects the FSK filter type.

Length(symbol)

Range: 1 - 2048

Default: 32

Sets the length of the filter in symbols.

Alpha

Range: 0.01 to 1.0

Default: 0.5

Sets the alpha factor of the Root Nyquist or Nyquist filter.

BT

Range: 0.1 to 1.0

Default: 0.5

Sets the BT product of the Gaussian filter.

Filter Coefficient

Opens a Closed Filter Editor window where you can import, export, and edit filter coefficients. A convenient plot of the filter's impulse response is displayed and updates as coefficients are changed. Imported and exported coefficient files are in text (*.txt) or comma-separated values (*.csv) format.

Payload Data

Choices: PN9 | PN15 | PN23 | Custom Bit Pattern | User File

Default: PN9

Opens the Closed Data Setup editor to configure payload bits.You can also load, save, and create custom bit patterns.

Number of Symbols

Range: 100 to 8388608

Default: 1000

Sets the length of the FSK symbols.

Idle Interval

Range: 0 - 200 ms

Default: 0 us

Sets the idle interval in-between FSK frames in seconds. When the idle interval is set to zero, a continuous waveform will be generated.

Ramp Symbols

Range: 0 - 20

Default: 0

Sets the number of ramp symbols for burst signal (Idle Interval is not zero).

Reset to Default

Resets Frequency Deviation Value to default value in the table below.

Symbol

Displays the FSK symbol.

Frequency Deviation Value

Range: -FSK Deviation Reference - FSK Deviation Reference

Set the FSK deviation value for each FSK symbol.

Frequency Deviation (%)

Range: -100 - 100

Set the FSK deviation by percentage for each FSK symbol.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Custom IQ - SOQPSK

Quick Setups

Use this Closed drop-down menu to select a modulation type from several supported formats. A single data segment using that modulation type appears in the segment list below. Click the cell in the Constellation column to open the Constellation Setting window, providing a graphical display and editing features (video). Quick setups enable you to configure complex signals for signal generation, equivalent to 89600B VSA setups in signal analysis.

DVB-S2 and DVB-S2X quick setups also add a PLHEADER segment before the data segment, as defined in the standard.

Quick Setups IQ Settings

Standard |  | Modulation | Symbol Rate | Filter
DVB-S2 | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 16APSK | 4+12APSK 2/3, 4+12APSK 3/4, 4+12APSK 4/5, 4+12APSK 5/6, 4+12APSK 8/9, 4+12APSK 9/10
 | 32APSK | 4+12+16APSK 3/4, 4+12+16APSK 4/5, 4+12+16APSK 5/6, 4+12+16APSK 8/9, 4+12+16APSK 9/10
DVB-S2X | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 8APSK | 2+4+2APSK 100/180, 2+4+2APSK 104/180
 | 16APSK | 4+12APSK Normal 26/45; 4+12APSK Normal 3/5; 4+12APSK Normal 28/45; 4+12APSK Normal 23/36; 4+12APSK Normal 25/36; 4+12APSK Normal 13/18; 4+12APSK Normal 140/180; 4+12APSK Normal 154/180; 4+12APSK Short 7/15; 4+12APSK Short 8/15; 4+12APSK Short 26/45; 4+12APSK Short 3/5; 4+12APSK Short 32/45; 8+8APSK Normal 90/180, 96/180, 100/180; 8+8APSK Normal 18/30; 8+8APSK Normal 20/30
 | 32APSK | 4+12+16APSK Normal 2/3, 4+12+16APSK Short 2/3, 4+12+16APSK Short 32/45, 4+8+4+16APSK 128/180, 4+8+4+16APSK 132/180, 4+8+4+16APSK 140/180
 | 64APSK | 16+16+16+16APSK 128/180, 8+16+20+20APSK 7/9, 8+16+20+20APSK 4/5, 8+16+20+20APSK 5/6, 4+12+20+28APSK 132/180,
 | 128APSK | 128APSK 135/180, 128APSK 140/180
 | 256APSK | 256APSK 116/180, 256APSK 124/180, 256APSK 128/180, 256APSK 135/180, 256APSK 20/30, 256APSK 22/30
APCO25 | C4FM | 4FSK (0.6 kHz, 1.8 kHz, -0.6 kHz, -1.8 kHz) | 4.8 ksps | NYQ (0.2) + 1/Sinc
 | CQPSK* | Pi/4 DQPSK | 4.8 ksps | NYQ
 | HCPM | 4FSK (1 kHz, 3 kHz, -1 kHz, -3 kHz) | 6 ksps | APCO25 HCPM
 | HDQPSK | Pi/4 DQPSK | 6 ksps | APCO25 HDQPSK
TETRA |  | Pi/4 DQPSK | 18 ksps | RNYQ (0.35)
NXDN | 4800 bps | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2) + Sinc
 | 9600 bps | 4FSK (0.8 kHz, 2.4 kHz, -0.8 kHz, 2.4 kHz) | 4.8 ksps | RNYQ (0.2) + Sinc
dPMR |  | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2)
DECT |  | 2FSK (-288 kHz, 288 kHz) | 1.152 Msps | Gaussian (0.5)
DMR |  | 4FSK (0.648 kHz, 1.944 kHz, -0.648 kHz, -1.944 kHz) | 4.8 ksps | RNYQ (0.2)
ARIB | T98/T61* | Pi/4 DQPSK | 9.6 ksps | RNYQ (0.2)
 | T102 | 4FSK (0.33 kHz, 0.99 kHz, -0.33 kHz, -0.99 kHz) | 4.8 ksps | ARIB T102 RNYQ (0.2) + Gaussian (0.769)
Zigbee | BPSK | BPSK | 600 ksps | NYQ (1)
 | OQPSK | OQPSK | 1 Msps | Half Sine
WiSUN (802.15.4g) | 2FSK 50/1 | 2FSK (-25 kHz, 25 kHz) | 50 ksps | Gaussian (0.5)
 | 2FSK 100/0.5 | 2FSK (-25 kHz, 25 kHz) | 100 ksps | Gaussian (0.5)
ITU-T G.9959 | R2 | 2FSK (-20 kHz, 20 kHz) | 40 ksps | Rectangle
 | R3 | 2FSK (-29 kHz, 29 kHz) | 100 ksps | Gaussian (0.6)
802.15.3d |  | CES: pi/2 BPSK Frame Header: pi/2 BPSK Payload: 64QAM | 25.92 Gsps | RNYQ (0.25)

* For APCO25 CQPSK and ARIB T98/T61, the ALC is set to off to achieve better EVM. For all other cases, the ALC is on.

Payload, Idle Interval, Ramp Symbols, and Number of Symbols will be set to default values.

1. Custom IQ Selection

Custom IQ Type

Choices: ASK & PSK & QAM | FSK | SOQPSK | ARTM Multi-h CPM | Analog Modulation | Radar | Channel Sounding

Default: ASK & PSK & QAM

Select the type of Custom IQ.

SOQPSK Settings

Symbol Rate

Range: 1 ksps to 1 Gsps

Default: 1 Msps

Set the symbol rate of SOQPSK signal.

Payload Data

Choices: PN9 | PN15 | PN23 | Custom Bit Pattern | User File

Default: PN9

Opens the Closed Data Setup editor to configure payload bits.You can also load, save, and create custom bit patterns.

Payload Data Length

Range: 100 to 16777216

Default: 1000

Set the length of payload data in bits, it must be an even number.

SOQPSK Parameters

SOQPSK Type

Choices: SOQPSK-TG (IGIR 106-04) | SOQPSK-A | SOQPSK-B

Default: SOQPSK-TG (IGIR 106-04)

Select the type of SOQPSK.

SOQPSK Parameters
SOQPSK Type | p | B | T1 | T2
SOQPSK-TG (IG 106-04) | 0.7 | 1.25 | 1.5 | 0.5
SOQPSK-A | 1 | 1.35 | 1.4 | 0.6
SOQPSK-B | 0.5 | 1.45 | 2.8 | 1.2

Rolloff Factor (ρ)

Range: 0.1 to 1

Default: 0.7

Set the rolloff factor of the shaping filter.

Time Scaling Factor (B)

Range: 0.1 to 5.0

Default: 1.25

Set the scaling factor (B) of the shaping filter.

Window Time T1

Range: 0.1 to 5.0

Default: 1.5

Set the window time T1 of the shaping filter.

Window Time T2

Range: 0.1 to 5.0

Default: 0.5

Set the window time T2 of the shaping filter.


Custom IQ - ARTM Multi-h CPM

Quick Setups

Use this Closed drop-down menu to select a modulation type from several supported formats. A single data segment using that modulation type appears in the segment list below. Click the cell in the Constellation column to open the Constellation Setting window, providing a graphical display and editing features (video). Quick setups enable you to configure complex signals for signal generation, equivalent to 89600B VSA setups in signal analysis.

DVB-S2 and DVB-S2X quick setups also add a PLHEADER segment before the data segment, as defined in the standard.

Quick Setups IQ Settings

Standard |  | Modulation | Symbol Rate | Filter
DVB-S2 | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 16APSK | 4+12APSK 2/3, 4+12APSK 3/4, 4+12APSK 4/5, 4+12APSK 5/6, 4+12APSK 8/9, 4+12APSK 9/10
 | 32APSK | 4+12+16APSK 3/4, 4+12+16APSK 4/5, 4+12+16APSK 5/6, 4+12+16APSK 8/9, 4+12+16APSK 9/10
DVB-S2X | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 8APSK | 2+4+2APSK 100/180, 2+4+2APSK 104/180
 | 16APSK | 4+12APSK Normal 26/45; 4+12APSK Normal 3/5; 4+12APSK Normal 28/45; 4+12APSK Normal 23/36; 4+12APSK Normal 25/36; 4+12APSK Normal 13/18; 4+12APSK Normal 140/180; 4+12APSK Normal 154/180; 4+12APSK Short 7/15; 4+12APSK Short 8/15; 4+12APSK Short 26/45; 4+12APSK Short 3/5; 4+12APSK Short 32/45; 8+8APSK Normal 90/180, 96/180, 100/180; 8+8APSK Normal 18/30; 8+8APSK Normal 20/30
 | 32APSK | 4+12+16APSK Normal 2/3, 4+12+16APSK Short 2/3, 4+12+16APSK Short 32/45, 4+8+4+16APSK 128/180, 4+8+4+16APSK 132/180, 4+8+4+16APSK 140/180
 | 64APSK | 16+16+16+16APSK 128/180, 8+16+20+20APSK 7/9, 8+16+20+20APSK 4/5, 8+16+20+20APSK 5/6, 4+12+20+28APSK 132/180,
 | 128APSK | 128APSK 135/180, 128APSK 140/180
 | 256APSK | 256APSK 116/180, 256APSK 124/180, 256APSK 128/180, 256APSK 135/180, 256APSK 20/30, 256APSK 22/30
APCO25 | C4FM | 4FSK (0.6 kHz, 1.8 kHz, -0.6 kHz, -1.8 kHz) | 4.8 ksps | NYQ (0.2) + 1/Sinc
 | CQPSK* | Pi/4 DQPSK | 4.8 ksps | NYQ
 | HCPM | 4FSK (1 kHz, 3 kHz, -1 kHz, -3 kHz) | 6 ksps | APCO25 HCPM
 | HDQPSK | Pi/4 DQPSK | 6 ksps | APCO25 HDQPSK
TETRA |  | Pi/4 DQPSK | 18 ksps | RNYQ (0.35)
NXDN | 4800 bps | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2) + Sinc
 | 9600 bps | 4FSK (0.8 kHz, 2.4 kHz, -0.8 kHz, 2.4 kHz) | 4.8 ksps | RNYQ (0.2) + Sinc
dPMR |  | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2)
DECT |  | 2FSK (-288 kHz, 288 kHz) | 1.152 Msps | Gaussian (0.5)
DMR |  | 4FSK (0.648 kHz, 1.944 kHz, -0.648 kHz, -1.944 kHz) | 4.8 ksps | RNYQ (0.2)
ARIB | T98/T61* | Pi/4 DQPSK | 9.6 ksps | RNYQ (0.2)
 | T102 | 4FSK (0.33 kHz, 0.99 kHz, -0.33 kHz, -0.99 kHz) | 4.8 ksps | ARIB T102 RNYQ (0.2) + Gaussian (0.769)
Zigbee | BPSK | BPSK | 600 ksps | NYQ (1)
 | OQPSK | OQPSK | 1 Msps | Half Sine
WiSUN (802.15.4g) | 2FSK 50/1 | 2FSK (-25 kHz, 25 kHz) | 50 ksps | Gaussian (0.5)
 | 2FSK 100/0.5 | 2FSK (-25 kHz, 25 kHz) | 100 ksps | Gaussian (0.5)
ITU-T G.9959 | R2 | 2FSK (-20 kHz, 20 kHz) | 40 ksps | Rectangle
 | R3 | 2FSK (-29 kHz, 29 kHz) | 100 ksps | Gaussian (0.6)
802.15.3d |  | CES: pi/2 BPSK Frame Header: pi/2 BPSK Payload: 64QAM | 25.92 Gsps | RNYQ (0.25)

* For APCO25 CQPSK and ARIB T98/T61, the ALC is set to off to achieve better EVM. For all other cases, the ALC is on.

Payload, Idle Interval, Ramp Symbols, and Number of Symbols will be set to default values.

1. Custom IQ Selection

Custom IQ Type

Choices: ASK & PSK & QAM | FSK | SOQPSK | ARTM Multi-h CPM | Analog Modulation | Radar | Channel Sounding

Default: ASK & PSK & QAM

Select the type of Custom IQ.

2. ARTM CPM Settings

Modulation Order

Set the modulation order of the multi-h CPM waveform. Note that it must be a power of 2.

Filter

Select the frequency pulse shape filter of the multi-h CPM waveform.

h1

Range: 0 to 1

Default: 0.25

Set modulation index h1 of the multi-h CPM waveform.

h2

Range: 0 to 1

Default: 0.3125

Set modulation index h2 of the multi-h CPM waveform.

Symbol Rate

Range: 1 kSa/s - 1 GSa/s

Default: 5 MSa/s

Set the symbol rate of the multi-h CPM waveform.

Payload Data

Choices: PN9 | PN15 | PN23 | Custom Bit Pattern | User File

Default: PN9

Opens the Closed Data Setup editor to configure payload bits to be transmitted. For ARB waveform playback with continuous phase, the phase state at the end of payload bits must be equal to the initial phase of 0 degree. User may need to change the last few bits to meet phase continuity.

Payload Data Length

Range: 100 to 33554432

Default: 1000

Set the length of payload data in bits, it must be a multiple of 4.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Custom IQ - Analog Modulation

Quick Setups

Use this Closed drop-down menu to select a modulation type from several supported formats. A single data segment using that modulation type appears in the segment list below. Click the cell in the Constellation column to open the Constellation Setting window, providing a graphical display and editing features (video). Quick setups enable you to configure complex signals for signal generation, equivalent to 89600B VSA setups in signal analysis.

DVB-S2 and DVB-S2X quick setups also add a PLHEADER segment before the data segment, as defined in the standard.

Quick Setups IQ Settings

Standard |  | Modulation | Symbol Rate | Filter
DVB-S2 | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 16APSK | 4+12APSK 2/3, 4+12APSK 3/4, 4+12APSK 4/5, 4+12APSK 5/6, 4+12APSK 8/9, 4+12APSK 9/10
 | 32APSK | 4+12+16APSK 3/4, 4+12+16APSK 4/5, 4+12+16APSK 5/6, 4+12+16APSK 8/9, 4+12+16APSK 9/10
DVB-S2X | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 8APSK | 2+4+2APSK 100/180, 2+4+2APSK 104/180
 | 16APSK | 4+12APSK Normal 26/45; 4+12APSK Normal 3/5; 4+12APSK Normal 28/45; 4+12APSK Normal 23/36; 4+12APSK Normal 25/36; 4+12APSK Normal 13/18; 4+12APSK Normal 140/180; 4+12APSK Normal 154/180; 4+12APSK Short 7/15; 4+12APSK Short 8/15; 4+12APSK Short 26/45; 4+12APSK Short 3/5; 4+12APSK Short 32/45; 8+8APSK Normal 90/180, 96/180, 100/180; 8+8APSK Normal 18/30; 8+8APSK Normal 20/30
 | 32APSK | 4+12+16APSK Normal 2/3, 4+12+16APSK Short 2/3, 4+12+16APSK Short 32/45, 4+8+4+16APSK 128/180, 4+8+4+16APSK 132/180, 4+8+4+16APSK 140/180
 | 64APSK | 16+16+16+16APSK 128/180, 8+16+20+20APSK 7/9, 8+16+20+20APSK 4/5, 8+16+20+20APSK 5/6, 4+12+20+28APSK 132/180,
 | 128APSK | 128APSK 135/180, 128APSK 140/180
 | 256APSK | 256APSK 116/180, 256APSK 124/180, 256APSK 128/180, 256APSK 135/180, 256APSK 20/30, 256APSK 22/30
APCO25 | C4FM | 4FSK (0.6 kHz, 1.8 kHz, -0.6 kHz, -1.8 kHz) | 4.8 ksps | NYQ (0.2) + 1/Sinc
 | CQPSK* | Pi/4 DQPSK | 4.8 ksps | NYQ
 | HCPM | 4FSK (1 kHz, 3 kHz, -1 kHz, -3 kHz) | 6 ksps | APCO25 HCPM
 | HDQPSK | Pi/4 DQPSK | 6 ksps | APCO25 HDQPSK
TETRA |  | Pi/4 DQPSK | 18 ksps | RNYQ (0.35)
NXDN | 4800 bps | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2) + Sinc
 | 9600 bps | 4FSK (0.8 kHz, 2.4 kHz, -0.8 kHz, 2.4 kHz) | 4.8 ksps | RNYQ (0.2) + Sinc
dPMR |  | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2)
DECT |  | 2FSK (-288 kHz, 288 kHz) | 1.152 Msps | Gaussian (0.5)
DMR |  | 4FSK (0.648 kHz, 1.944 kHz, -0.648 kHz, -1.944 kHz) | 4.8 ksps | RNYQ (0.2)
ARIB | T98/T61* | Pi/4 DQPSK | 9.6 ksps | RNYQ (0.2)
 | T102 | 4FSK (0.33 kHz, 0.99 kHz, -0.33 kHz, -0.99 kHz) | 4.8 ksps | ARIB T102 RNYQ (0.2) + Gaussian (0.769)
Zigbee | BPSK | BPSK | 600 ksps | NYQ (1)
 | OQPSK | OQPSK | 1 Msps | Half Sine
WiSUN (802.15.4g) | 2FSK 50/1 | 2FSK (-25 kHz, 25 kHz) | 50 ksps | Gaussian (0.5)
 | 2FSK 100/0.5 | 2FSK (-25 kHz, 25 kHz) | 100 ksps | Gaussian (0.5)
ITU-T G.9959 | R2 | 2FSK (-20 kHz, 20 kHz) | 40 ksps | Rectangle
 | R3 | 2FSK (-29 kHz, 29 kHz) | 100 ksps | Gaussian (0.6)
802.15.3d |  | CES: pi/2 BPSK Frame Header: pi/2 BPSK Payload: 64QAM | 25.92 Gsps | RNYQ (0.25)

* For APCO25 CQPSK and ARIB T98/T61, the ALC is set to off to achieve better EVM. For all other cases, the ALC is on.

Payload, Idle Interval, Ramp Symbols, and Number of Symbols will be set to default values.

1. Custom IQ Selection

Custom IQ Type

Choices: ASK & PSK & QAM | FSK | SOQPSK | ARTM Multi-h CPM | Analog Modulation | Radar | Channel Sounding

Default: ASK & PSK & QAM

Select the type of Custom IQ.

Analog Modulation Settings

Analog Modulation Format

Choices: AM | AM USB | AM LSB | AM DSB | FM | PM

Default: AM

Select the analog modulation format.

AM Depth

Range: 0 - 100

Default: 50

Enter the AM depth.

AM Rate

Range: 1 Hz - 4 GHz

Default: 10 kHz

Enter the AM rate.

Analog Modulation Waveform

Choices: Sine | Square | Rectangle | Triangle | Dual Sine | Ramp Up | Ramp Down

Default: Sine

Select the analog modulation waveform.

Duty Cycle

Range: 0 - 100

Default: 50

Enter the duty cycle when analog modulation waveform is rectangle.

Sine 2 Level

Range: 0 - 100

Default: 50

Enter the relative level for the second sine when analog modulation waveform is dual sine.

Sine 2 Rate

Range: 1 Hz - 4 GHz

Default: 1 kHz

Enter the rate for the second sine when analog modulation waveform is dual sine.

Sine 2 Start Phase

Range: 0 - 360

Default: 0

Enter the initial phase for the second sine when analog modulation waveform is dual sine.

FM Deviation

Range: 0 Hz - min(4 GHz, FMRate * 100)

Default: 100 kHz

Enter the FM Deviation.

FM Rate

Range: 1 Hz - 4 GHz

Default: 10 kHz

Enter the FM rate.

PM Deviation

Range: 0 - 100 Rad

Default: 1 Rad

Enter the PM Deviation.

PM Rate

Range: 1 Hz - 4 GHz

Default: 10 kHz

Enter the PM rate.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Custom IQ - Radar

Quick Setups

Use this Closed drop-down menu to select a modulation type from several supported formats. A single data segment using that modulation type appears in the segment list below. Click the cell in the Constellation column to open the Constellation Setting window, providing a graphical display and editing features (video). Quick setups enable you to configure complex signals for signal generation, equivalent to 89600B VSA setups in signal analysis.

DVB-S2 and DVB-S2X quick setups also add a PLHEADER segment before the data segment, as defined in the standard.

Quick Setups IQ Settings

Standard |  | Modulation | Symbol Rate | Filter
DVB-S2 | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 16APSK | 4+12APSK 2/3, 4+12APSK 3/4, 4+12APSK 4/5, 4+12APSK 5/6, 4+12APSK 8/9, 4+12APSK 9/10
 | 32APSK | 4+12+16APSK 3/4, 4+12+16APSK 4/5, 4+12+16APSK 5/6, 4+12+16APSK 8/9, 4+12+16APSK 9/10
DVB-S2X | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 8APSK | 2+4+2APSK 100/180, 2+4+2APSK 104/180
 | 16APSK | 4+12APSK Normal 26/45; 4+12APSK Normal 3/5; 4+12APSK Normal 28/45; 4+12APSK Normal 23/36; 4+12APSK Normal 25/36; 4+12APSK Normal 13/18; 4+12APSK Normal 140/180; 4+12APSK Normal 154/180; 4+12APSK Short 7/15; 4+12APSK Short 8/15; 4+12APSK Short 26/45; 4+12APSK Short 3/5; 4+12APSK Short 32/45; 8+8APSK Normal 90/180, 96/180, 100/180; 8+8APSK Normal 18/30; 8+8APSK Normal 20/30
 | 32APSK | 4+12+16APSK Normal 2/3, 4+12+16APSK Short 2/3, 4+12+16APSK Short 32/45, 4+8+4+16APSK 128/180, 4+8+4+16APSK 132/180, 4+8+4+16APSK 140/180
 | 64APSK | 16+16+16+16APSK 128/180, 8+16+20+20APSK 7/9, 8+16+20+20APSK 4/5, 8+16+20+20APSK 5/6, 4+12+20+28APSK 132/180,
 | 128APSK | 128APSK 135/180, 128APSK 140/180
 | 256APSK | 256APSK 116/180, 256APSK 124/180, 256APSK 128/180, 256APSK 135/180, 256APSK 20/30, 256APSK 22/30
APCO25 | C4FM | 4FSK (0.6 kHz, 1.8 kHz, -0.6 kHz, -1.8 kHz) | 4.8 ksps | NYQ (0.2) + 1/Sinc
 | CQPSK* | Pi/4 DQPSK | 4.8 ksps | NYQ
 | HCPM | 4FSK (1 kHz, 3 kHz, -1 kHz, -3 kHz) | 6 ksps | APCO25 HCPM
 | HDQPSK | Pi/4 DQPSK | 6 ksps | APCO25 HDQPSK
TETRA |  | Pi/4 DQPSK | 18 ksps | RNYQ (0.35)
NXDN | 4800 bps | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2) + Sinc
 | 9600 bps | 4FSK (0.8 kHz, 2.4 kHz, -0.8 kHz, 2.4 kHz) | 4.8 ksps | RNYQ (0.2) + Sinc
dPMR |  | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2)
DECT |  | 2FSK (-288 kHz, 288 kHz) | 1.152 Msps | Gaussian (0.5)
DMR |  | 4FSK (0.648 kHz, 1.944 kHz, -0.648 kHz, -1.944 kHz) | 4.8 ksps | RNYQ (0.2)
ARIB | T98/T61* | Pi/4 DQPSK | 9.6 ksps | RNYQ (0.2)
 | T102 | 4FSK (0.33 kHz, 0.99 kHz, -0.33 kHz, -0.99 kHz) | 4.8 ksps | ARIB T102 RNYQ (0.2) + Gaussian (0.769)
Zigbee | BPSK | BPSK | 600 ksps | NYQ (1)
 | OQPSK | OQPSK | 1 Msps | Half Sine
WiSUN (802.15.4g) | 2FSK 50/1 | 2FSK (-25 kHz, 25 kHz) | 50 ksps | Gaussian (0.5)
 | 2FSK 100/0.5 | 2FSK (-25 kHz, 25 kHz) | 100 ksps | Gaussian (0.5)
ITU-T G.9959 | R2 | 2FSK (-20 kHz, 20 kHz) | 40 ksps | Rectangle
 | R3 | 2FSK (-29 kHz, 29 kHz) | 100 ksps | Gaussian (0.6)
802.15.3d |  | CES: pi/2 BPSK Frame Header: pi/2 BPSK Payload: 64QAM | 25.92 Gsps | RNYQ (0.25)

* For APCO25 CQPSK and ARIB T98/T61, the ALC is set to off to achieve better EVM. For all other cases, the ALC is on.

Payload, Idle Interval, Ramp Symbols, and Number of Symbols will be set to default values.

1. Custom IQ Selection

Custom IQ Type

Choices: ASK & PSK & QAM | FSK | SOQPSK | ARTM Multi-h CPM | Analog Modulation | Radar | Channel Sounding

Default: ASK & PSK & QAM

Select the type of Custom IQ.

Radar Settings

Radar Type

Choices: FMCW | MFSK | Customized Chirp

Default: FMCW

Select the radar type. View graphical representations of each below.

Closed FMCW

FMCW

Closed MFSK

MFSK

Closed Customized Chirp

Customized Chirp

Sample Rate

Range: 1 kHz - 12 GHz

Default: 200 MHz

Enter the sample rate for radar signal.

For radar signal generation, the Oversampling Ratio under Waveform Setup node will not be used.

Sweep Time

Range: 10 ns - 1 s

Default: 1 ms

Enter the sweep time for linear frequency modulation signal.

Sweep Bandwidth

Range:

FMCW: 100 Hz - Sample Rate

MFSK: 100 Hz - Sample Rate / 2

Default:

FMCW: 100 MHz

MFSK: 100 MHz

Enter the sweep bandwidth for linear frequency modulation signal.

Frequency Offset

Range:

FMCW: -SweepBandwidth/2 - SweepBandwidth/2

MFSK: -StepFrequency * 2 - StepFrequency * 2

Default:

FMCW: 0 Hz

MFSK: -200 kHz

Enter the frequency offset for linear frequency modulation signal.

Sweep Direction Type

Choices: Up | Down | Triangle

Default: Triangle

Select the sweep direction type.

Step Frequency

Range: 0.1 Hz - SweepBandwidth / (NumberOfStep / 2 - 1)

Default: 2.0408 MHz

Enter the frequency step for MFSK signal.

Step Time

Range: 1 ns - 1 / Number Of Step

Default: 2 us

Enter the step time for linear frequency modulation signal.

Number of Step

Range: 4 - 2000

Default: 100

Enter the number of step for MFSK signal.

Number of Segments

Range: 1 - 100

Default: 6

Enter the number of chirp segments.

Total Sweep Time

Display the total sweep time for all the chirp segments.

Clear All

Clears all segments in the chirp setup table.

Frequency Start

Range: - Sample Rate / 2 - Sample Rate / 2

Enter the start frequency for current chirp segment.

Frequency End

Range: - Sample Rate / 2 - Sample Rate / 2

Enter the end frequency for current chirp segment.

Duration

Range: 10 ns to 1 s

Enter the duration for current chirp segment.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Custom IQ - Channel Sounding

Quick Setups

Use this Closed drop-down menu to select a modulation type from several supported formats. A single data segment using that modulation type appears in the segment list below. Click the cell in the Constellation column to open the Constellation Setting window, providing a graphical display and editing features (video). Quick setups enable you to configure complex signals for signal generation, equivalent to 89600B VSA setups in signal analysis.

DVB-S2 and DVB-S2X quick setups also add a PLHEADER segment before the data segment, as defined in the standard.

Quick Setups IQ Settings

Standard |  | Modulation | Symbol Rate | Filter
DVB-S2 | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 16APSK | 4+12APSK 2/3, 4+12APSK 3/4, 4+12APSK 4/5, 4+12APSK 5/6, 4+12APSK 8/9, 4+12APSK 9/10
 | 32APSK | 4+12+16APSK 3/4, 4+12+16APSK 4/5, 4+12+16APSK 5/6, 4+12+16APSK 8/9, 4+12+16APSK 9/10
DVB-S2X | QPSK |  | 1.0 Msps | RNYQ (0.5)
 | 8PSK |
 | 8APSK | 2+4+2APSK 100/180, 2+4+2APSK 104/180
 | 16APSK | 4+12APSK Normal 26/45; 4+12APSK Normal 3/5; 4+12APSK Normal 28/45; 4+12APSK Normal 23/36; 4+12APSK Normal 25/36; 4+12APSK Normal 13/18; 4+12APSK Normal 140/180; 4+12APSK Normal 154/180; 4+12APSK Short 7/15; 4+12APSK Short 8/15; 4+12APSK Short 26/45; 4+12APSK Short 3/5; 4+12APSK Short 32/45; 8+8APSK Normal 90/180, 96/180, 100/180; 8+8APSK Normal 18/30; 8+8APSK Normal 20/30
 | 32APSK | 4+12+16APSK Normal 2/3, 4+12+16APSK Short 2/3, 4+12+16APSK Short 32/45, 4+8+4+16APSK 128/180, 4+8+4+16APSK 132/180, 4+8+4+16APSK 140/180
 | 64APSK | 16+16+16+16APSK 128/180, 8+16+20+20APSK 7/9, 8+16+20+20APSK 4/5, 8+16+20+20APSK 5/6, 4+12+20+28APSK 132/180,
 | 128APSK | 128APSK 135/180, 128APSK 140/180
 | 256APSK | 256APSK 116/180, 256APSK 124/180, 256APSK 128/180, 256APSK 135/180, 256APSK 20/30, 256APSK 22/30
APCO25 | C4FM | 4FSK (0.6 kHz, 1.8 kHz, -0.6 kHz, -1.8 kHz) | 4.8 ksps | NYQ (0.2) + 1/Sinc
 | CQPSK* | Pi/4 DQPSK | 4.8 ksps | NYQ
 | HCPM | 4FSK (1 kHz, 3 kHz, -1 kHz, -3 kHz) | 6 ksps | APCO25 HCPM
 | HDQPSK | Pi/4 DQPSK | 6 ksps | APCO25 HDQPSK
TETRA |  | Pi/4 DQPSK | 18 ksps | RNYQ (0.35)
NXDN | 4800 bps | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2) + Sinc
 | 9600 bps | 4FSK (0.8 kHz, 2.4 kHz, -0.8 kHz, 2.4 kHz) | 4.8 ksps | RNYQ (0.2) + Sinc
dPMR |  | 4FSK (0.35 kHz, 1.05 kHz, -0.35 kHz, -1.05 kHz) | 2.4 ksps | RNYQ (0.2)
DECT |  | 2FSK (-288 kHz, 288 kHz) | 1.152 Msps | Gaussian (0.5)
DMR |  | 4FSK (0.648 kHz, 1.944 kHz, -0.648 kHz, -1.944 kHz) | 4.8 ksps | RNYQ (0.2)
ARIB | T98/T61* | Pi/4 DQPSK | 9.6 ksps | RNYQ (0.2)
 | T102 | 4FSK (0.33 kHz, 0.99 kHz, -0.33 kHz, -0.99 kHz) | 4.8 ksps | ARIB T102 RNYQ (0.2) + Gaussian (0.769)
Zigbee | BPSK | BPSK | 600 ksps | NYQ (1)
 | OQPSK | OQPSK | 1 Msps | Half Sine
WiSUN (802.15.4g) | 2FSK 50/1 | 2FSK (-25 kHz, 25 kHz) | 50 ksps | Gaussian (0.5)
 | 2FSK 100/0.5 | 2FSK (-25 kHz, 25 kHz) | 100 ksps | Gaussian (0.5)
ITU-T G.9959 | R2 | 2FSK (-20 kHz, 20 kHz) | 40 ksps | Rectangle
 | R3 | 2FSK (-29 kHz, 29 kHz) | 100 ksps | Gaussian (0.6)
802.15.3d |  | CES: pi/2 BPSK Frame Header: pi/2 BPSK Payload: 64QAM | 25.92 Gsps | RNYQ (0.25)

* For APCO25 CQPSK and ARIB T98/T61, the ALC is set to off to achieve better EVM. For all other cases, the ALC is on.

Payload, Idle Interval, Ramp Symbols, and Number of Symbols will be set to default values.

1. Custom IQ Selection

Custom IQ Type

Choices: ASK & PSK & QAM | FSK | SOQPSK | ARTM Multi-h CPM | Analog Modulation | Radar | Channel Sounding

Default: ASK & PSK & QAM

Select the type of Custom IQ.

2. Channel Sounding Settings

Sequence Length

Choices: 32 Symbols | 64 Symbols | 128 Symbols | 256 Symbols | 512 Symbols | 1024 Symbols | 2048 Symbols | 4096 Symbols

Default: 128 Symbols

Coupling: Total Sample Points are automatically determined based on the Sequence Length

Select the number of symbols in the transmitted sequence.

Number of Repeats

Range: 1 ~ 100

Default: 2

Set the number of repetitions of the sequence when the Idle Interval is non-zero. The total number of repetitions transmitted contiguously will be Number of Repeats + 1, to allow for channel sounder filter settling and sync boundary location.

When the Idle Interval is not zero, the active period in time is (Repeats + 1)* (Sequency Length * 8 / Symbol Rate).

Symbol Rate

Range: 1 ksps to 25 Gsps

Default: 200 Msps

Coupling: Sample Clock = Symbol Rate * Oversampling Ratio

Set the symbol rate of Channel Sounding signal.

Filter

Choices: None | Gaussian | Root Raised Cosine | Root Nyquist | Nyquist | Rectangle | User Defined

Default: Root Raised Cosine

Select the filter type to be applied to the waveform.

BT

Range: 0.1 to 1.0

Default: 0.5

Sets the BT product of the Gaussian filter.

Length(symbol)

Range: 1 to 2048

Default: 32

Sets the length of the filter in symbols.

Alpha

Range: 0.01 to 1.0

Default: 0.5

Sets the alpha factor of the Root Nyquist or Nyquist filter.

Filter Coefficient

Opens a Closed Filter Editor window where you can import, export, and edit filter coefficients. A convenient plot of the filter's impulse response is displayed and updates as coefficients are changed. Imported and exported coefficient files are in text (*.txt) or comma-separated values (*.csv) format.

Multi-path Channel

Choices: OFF | User Defined

Default: OFF

Click the [image] button to open the Closed Multi-path Channel editor where you can select User Defined to activate the multi-path channel. Up to 20 multi-paths are supported, and each multi-path has three parameters: power level, delay, and angle. You can switch the unit of power level between dB and Ratio.

The parameters configured with the Multi-path Channel editor can be saved or recalled, using the Save or Open buttons.

The file must be saved or recalled when the Unit is Ratio mode.

Idle Interval

Range: 0 to 200 ms

Default: 0 us

Set the idle interval in-between Channel Sounding frames in seconds. When idle interval is set to zero, a continuous waveform will be generated.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Custom OFDM

Quick Setups

Choices: WLAN: IEEE 802.11a | DAB: Mode I | DVB-T/H: 2K 1/8 | DVB-T/H: 1K 1/32 | ISDB-T (Mode3, 1+12) | DOCSIS 3.1 Upstream | DOCSIS 3.1 Downstream | CDR TxMode1, Spectrum Mode 2 | CDR TxMode1, Spectrum Mode 9 | CDR TxMode1, Spectrum Mode 10 | DRM: ModeB 20K | LTE: Downlink 5MHz (without half subcarrier shift) | LTE: Uplink 5 MHz

Use this Closed drop-down menu to choose a quick setup.

Save to 89600 VSA Setup

This feature saves the Custom Modulation configuration as a 89600B VSA setup file, simplifying VSA configuration so you can quickly demodulate the signal.

The 89600B VSA uses a parameter called Resource Repeat Index to reduce the length of the Resource Map and Resource Modulation arrays. The N7608C software, however, uses Repetition Start and Repetition Length to indicate the periodicity (how many symbols are repeated) between OFDM symbols. Therefore, a window appears, providing an opportunity for you to adjust these values before saving the setup file.

Repetition Setting Enabled

Choices: On | Off

Default: Off

Enable or disable the repetition setting for the setx file to be exported. If symbol mapping has repeatability, select On to set Repetition Start and Repetition Length to reduce the VSA setup file size, otherwise it should be set to Off.

Repetition Length

Range: 0 to Number of OFDM Symbols

Default: 0

Set the repetition length (in symbols) when generating the 89600 setup file. This parameter indicates the periodicity of the resource setting. Set to zero if there is no periodicity.

Only some of the basic OFDM parameters are saved to the 89600B setup file. You may need to adjust other parameters in the 89600B VSA to achieve optimum demodulation results.

Repetition Start

Range: 0 to Number of OFDM Symbols

Default: 0

Set the repetition start (in symbols) when generating the 89600 setup file. If the Repetition Length is not zero, this parameter indicates the start symbol index for repetition.

Unknown Pilot Enabled

Choices: On | Off

Default: Off

Enable or disable the unknown pilot. If enabled, the pilot resource element will be treated as unknown pilot on the VSA side.

VSA Setup assues data from

Choices: Hardware | Recording

Default: Hardware

Set the data source in the saved VSA setx file.

Save to xSA Setup File

Saves the configuration as an X-Series Signal Analyzers (xSA) setup file (*.xml).

1. General Settings

Idle Interval

Range: 0 to 200 ms

Default: 4 us

Set the idle interval in-between OFDM frames in seconds. When idle interval is set to zero, a continuous waveform will be generated.

System Sample Frequency

Range: 1 kHz to 100 GHz

Default: 20 MHz

Set the system sampling rate in Hz.

Initial Phase

Range: 0° to 360°

Default: 0°

Enter the initial phase of the carrier signal in degrees. A fixed phase rotation will be added to the generated OFDM signal. You can assign different intial phases to different waveforms for the beamforming test.

Frequency Offset

Default: 0 Hz

Coupling: This parameter is not available when Multicarrier Enabled is set to On

Apply a frequency offset to the generated baseband IQ. The max offset is limited by the current sampling rate. To apply a larger frequency offset, you will need to increase the OSR to a proper value.

Max offset = System Sample Frequency * Oversampling Ratio / 2.56 - System Sample Frequency / 2

Half Subcarrier Shift

Choices: On | Off

Default: Off

Enable or disable the half subcarrier shift with phase reset at each OFDM symbol. When enabled, Initial Phase and Frequency Offset will not be visible, and Number of Shifted Half Subcarriers appears below to set the number of half subcarriers to be shifted in frequency domain. This feature is mainly used for LTE uplink signal configuration.

Number of Shifted Half Subcarriers

Range: 1 to 16

Enter the number of half subcarriers to be shifted in frequency domain.

2. OFDM Settings

FFT Length

Range: 4 to 16384

Default: 64

Set the FFT length of the OFDM signal. This value will be clipped to the nearest power of 2.

Cyclic Prefix Length

Click the [image] button to open the Closed Cyclic Prefix Length editor for configuring the length of the OFDM symbols within a frame. You can set each symbol individually or use a preset configuration.

You can add or remove cyclic prefix setting rows. Each setting row contains the following:

  • Symbol Index: Enter 'All' for all symbols, or enter a comma-seprated string to indicate the symbol index, like ‘0,3,6’ or ‘0:4’ or ‘0:4:20.' This is the same syntax as Symbol Index under Resource Mapping.

  • CP Length (%): Enter the cyclic prefix length as the percentage of FFT length.

  • CP Length: Enter the absolute cyclic prefix length by samples before oversampling.

Cyclic Suffix Length

Click the [image] button to open the Closed Cyclic Suffix Length editor for configuring the length of the OFDM symbols within a frame. You can set each symbol individually or use a preset configuration.

You can add or remove cyclic suffix setting rows. Each setting row contains the following:

  • Symbol Index: Enter 'All' for all symbols, or enter a comma-seprated string to indicate the symbol index, like ‘0,3,6’ or ‘0:4’ or ‘0:4:20.' This is the same syntax as Symbol Index under Resource Mapping.

  • CS Length (%): Enter the cyclic suffix length as the percentage of FFT length.

  • CS Length: Enter the absolute cyclic suffix length by samples before oversampling.

For VSA setx exportation, because VSA doesn’t support cyclic suffix, so we use TimeGaps as the cyclic suffix length and use ‘Time Correlation’ as the synchronization mode in setx, in order to achieve a good demodulation result when cyclic suffix is existing,

Guard Lower Subcarriers

Range: 0 to FFT Length/2

Default: 6

Set the number of lower guard subcarriers. No data will be transmitted on these subcarriers.

Guard Upper Subcarriers

Range: 0 - (FFT Length - Guard Lower Subcarriers - 1)

Default: 5

Set the number of upper guard subcarriers. No data will be transmitted on these subcarriers.

Subcarrier Spacing

Displays the subcarrier spacing (System Sample Frequency / FFT Length). This value is read-only and automatically updates with changes to FFT Length and System Sample Frequency.

Actual Signal Bandwidth

Displays the actual signal bandwidth of the used subcarriers (FFT Length - Guard Lower Subcarriers - Guard Upper Subcarriers).

Number of OFDM Symbols

Range: 1 to 2000

Default: 64

Set the number of OFDM symbols in a frame, which usually includes preamble symbols and data symbols.

Power Reference Type

Choices: First Symbol | Preamble Symbol(s) | All Symbol(s)

Default: First Symbol

In most cases, the power level for an OFDM signal is not constant across all the symbols. This parameter allows you to choose which symbols in the waveform will have their power associated with the amplitude displayed on instrument front panel. Other parts will have a relative power gap to the referenced part based on the rms ratio. Preamble Symbol(s) are the symbols mapped to Preamble in resource mapping. If there is no preamble symbol, the first symbol will be used.

3. Spectrum Control

Filter

Choices: None | Gaussian | Root Nyquist | Nyquist | Rectangle | User Defined

Default: None

Select the filter type to be applied to the waveform.

Alpha

Range: 0.01 to 1.0

Default: 0.5

Sets the alpha factor of the Root Nyquist or Nyquist filter.

Filter Coefficient

Opens a Closed Filter Editor window where you can import, export, and edit filter coefficients. A convenient plot of the filter's impulse response is displayed and updates as coefficients are changed. Imported and exported coefficient files are in text (*.txt) or comma-separated values (*.csv) format.

BT

Range: 0.1 to 1.0

Default: 0.5

Sets the BT product of the Gaussian filter.

Length(symbol)

Range: 1 to 2048

Default: 32

Sets the length of the filter in symbols.

Window Beta

Range: 0 to 0.5

Default: 0.005

Set the windowing length used to smooth OFDM symbol transitions. Specify this value as a fraction of FFT Length, not the percentage.

Windowing Method

Choices: Centered at Symbol Boundary | Starting at Symbol Boundary

Default: Centered at Symbol Boundary

Select the windowing method applied to the OFDM symbol transitions. The raised cosine window can be centered at the OFDM symbol boundary, or starting from the OFDM symbol boundary. Closed View image.

Centered at Symbol Boundary specifies that the window is applied with its center at the boundary between two orthogonal frequency division multiplexing (OFDM) symbols.

Starting at Symbol Boundary specifies that the window is applied with its starting position at the boundary between two OFDM symbols.


5G Candidate

FBMC-OQAM

UFMC

GFDM

F-OFDM


Real Time

Go to topic Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

5G Candidate - FBMC-OQAM

Save to 89600 VSA Setup

This feature saves the Custom Modulation configuration as a 89600B VSA setup file, simplifying VSA configuration so you can quickly demodulate the signal.

The 89600B VSA uses a parameter called Resource Repeat Index to reduce the length of the Resource Map and Resource Modulation arrays. The N7608C software, however, uses Repetition Start and Repetition Length to indicate the periodicity (how many symbols are repeated) between OFDM symbols. Therefore, a window appears, providing an opportunity for you to adjust these values before saving the setup file.

When exporting a VSA setup for an FBMC signal, not all the signal configurations can be correctly demodulated by VSA software. The signal configuration must follow the rules below to achieve a good demodulation:

  • The signal should be a burst signal, with non-zero idle interval.

  • The number of preamble symbols should be larger than the overlap factor (K).

  • The location of the pilot should be staggered, meaning that adjacent resource elements of a pilot (±2 symbols in time domain and ±1 subcarrier in frequency domain) should not be a pilot.

Repetition Setting Enabled

Choices: On | Off

Default: Off

Enable or disable the repetition setting for the setx file to be exported. If symbol mapping has repeatability, select On to set Repetition Start and Repetition Length to reduce the VSA setup file size, otherwise it should be set to Off.

Repetition Length

Range: 0 to Number of OFDM Symbols

Default: 0

Set the repetition length (in symbols) when generating the 89600 setup file. This parameter indicates the periodicity of the resource setting. Set to zero if there is no periodicity.

Only some of the basic OFDM parameters are saved to the 89600B setup file. You may need to adjust other parameters in the 89600B VSA to achieve optimum demodulation results.

Repetition Start

Range: 0 to Number of OFDM Symbols

Default: 0

Set the repetition start (in symbols) when generating the 89600 setup file. If the Repetition Length is not zero, this parameter indicates the start symbol index for repetition.

Unknown Pilot Enabled

Choices: On | Off

Default: Off

Enable or disable the unknown pilot. If enabled, the pilot resource element will be treated as unknown pilot on the VSA side.

VSA Setup assues data from

Choices: Hardware | Recording

Default: Hardware

Set the data source in the saved VSA setx file.

Save to xSA Setup File

Saves the configuration as an X-Series Signal Analyzers (xSA) setup file (*.xml).

Modulation Scheme

Modulation Scheme

Choices: FBMC-OQAM | UFMC | GFDM | F-OFDM

Default: FBMC-OQAM

Select the modulation scheme for 5G.

FBMC Settings

FFT Length

Range: 4 to 16384

Default: 128

Sets the FFT length of the OFDM signal. This value will be clipped to the nearest power of 2.

Guard Lower Subcarriers

Range: 0 to FFT Length/2

Default: 6

Sets the number of lower guard subcarriers. No data will be transmitted on these subcarriers.

Guard Upper Subcarriers

Range: 0 - (FFT Length - Guard Lower Subcarriers - 1)

Default: 5

Set the number of upper guard subcarriers. No data will be transmitted on these subcarriers.

Subcarrier Spacing

Display the subcarrier spacing. This value is read-only and will be automatically updated with FFT Length and System Sample Frequency change.

Actual Signal Bandwidth

Display the actual signal bandwidth of the used subcarriers (FFT Length - Guard Lower Subcarriers - Guard Upper Subcarriers).

Number of Multicarrier Symbols

Range: 1 to 8000

Default: 64

Set the number of Multicarrier symbols in a frame, which usually includes preamble symbols and data symbols.

Idle Interval

Range: 0 to 200 ms

Default: 4 us

Set the idle interval in-between OFDM frames in seconds. When idle interval is set to zero, a continuous waveform will be generated.

Initial Transition Cutoff

Range: 0 - (K - 0.5)

Default: 0

Set the number of cutoff symbols in the initial transition.

Final Transition Cutoff

Range: 0 - (K - 0.5)

Default: 0

Set the number of cutoff symbols in the final transition.

Aided Pilot Enabled

Choices: On | Off

Default: On

Enable or disable the aided pilot for FBMC signal.

Subcarrier Phase Rotation Enabled

Choices: On | Off

Default: Off

Enable or disable the phase rotation for each subcarrier.

Subcarrer Phase Rotation Values

Opens a file management window where you can select the .txt or .csv file, containing phase rotation data. The file data must follow these rules:

  • Each line corresponding to a subcarrier, starting from the lowest subcarrier to highest subcarrier except guard.

  • If there is only one column in the file, each value will be treated as the phase to be rotated, the unit is degree.

  • If there are two columns in the file, each pair values will be treated as the I/Q value represent the phase rotation.

  • If # of phase values > # of valid subcarrier, we just use available values. (valid subcarrier means the FFT length minus upper and lower guard)

  • If # of phase values < # of valid subcarrier, we use values available then no phase rotation for remaining subcarriers.

System Sample Frequency

Range: 1 kHz to 4 GHz

Default: 40 MHz

Set the system sampling rate in Hz.

FBMC Filter Settings

Filter Overlap Factor (K)

Range: 2 to 8

Default: 4

Set the filter overlap factor (K) for FBMC signal.

Filter Bank Structure

Choices: Extend IFFT | Polyphase Network

Default: Extend IFFT

Select the filter bank structure for FBMC signal.

Prototype Filter (Frequency Domain)

Opens a Closed Filter Editor window where you can import, export, and edit FBMC filter coefficients. A convenient plot of the filter's frequency response is displayed and updates as coefficients are changed. Imported and exported coefficient files are in text (*.txt) or comma-separated values (*.csv) format.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

5G Candidate - UFMC

1. Modulation Scheme

Modulation Scheme

Choices: FBMC-OQAM | UFMC | GFDM | F-OFDM

Default: FBMC-OQAM

Select the modulation scheme for 5G.

2. UFMC Settings

FFT Length

Range: 4 to 16384

Default: 128

Set the FFT length of the OFDM signal. This value will be clipped to the nearest power of 2.

Guard Lower Subcarriers

Range: 0 to FFT Length / 2

Default: 6

Set the number of lower guard subcarriers. No data will be transmitted on these subcarriers.

Guard Upper Subcarriers

Range: 0 - (FFT Length - Guard Lower Subcarriers - 1)

Default: 5

Set the number of upper guard subcarriers. No data will be transmitted on these subcarriers.

Subcarrier Spacing

Display the subcarrier spacing. This value is read-only and will be automatically updated with FFT Length and System Sample Frequency change.

Actual Signal Bandwidth

Display the actual signal bandwidth of the used subcarriers (FFT Length - Guard Lower Subcarriers - Guard Upper Subcarriers).

Number of Multicarrier Symbols

Range: 1 to 2000

Default: 64

Set the number of OFDM symbols in a frame that usually includes preamble symbols and data symbols.

Idle Interval

Range: 0 to 200 ms

Default: 4 us

Set the idle interval in-between OFDM frames in seconds. When idle interval is set to zero, a continuous waveform will be generated.

System Sample Frequency

Range: 1 kHz to 4 GHz

Default: 20 MHz

Set the system sampling rate in Hz.

3. Subband Configuration

Subband Subcarrier Start

Set the subcarrier start index of subband configuration, the subband subcarrier end is coupled after it changes.

Subband Subcarrier End

Set the subcarrier end index of subband configuration, the subband subcarrier start is coupled after it changes.

Subband Size

Set the number of subcarriers for each subband, the subband end is coupled after it changes.

Number of Subbands

Set the number of subbands, the subband end is coupled after it changes.

Skip DC

Choices: Yes | No

Default: Yes

Set if DC is skipped between subbands. It is editable when DC is on the edge of subband, otherwise it is set to No and read-only.

Subband Filter

Bring up the UFMC Subband Filter Editor to set the filter type and parameters.


UFMC Subband Filter Editor

UFMC Filter Setting

Filter Type

Choices: Chebyshev window | User Defined

Default: Chebyshev window

Select the UFMC Filter Type.

Oversampling Ratio

Display the oversampling ratio (same as the one under Waveform Setup node).

Length (symbol)

Range: 1 to 1000

Default: 16

Set the length of the filter in symbols.

Sidelobe Attenuation

Range: 0 to 200

Default: 120

Set the sidelobe attenuation of Chebyshev window in dB.

Bandwidth (-3db)

Display the normalized 3 dB bandwidth of filter and the number of subcarriers covered.

Filter Coefficient

Select the file that contains user filter coefficients. This parameter appears only when User Defined is selected as the Filter Type.

Impulse Response

Displays the impulse response of the filter.

Frequency Response

Displays the frequency response of the filter.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

5G Candidate - GFDM

1. Modulation Scheme

Modulation Scheme

Choices: FBMC-OQAM | UFMC | GFDM | F-OFDM

Default: FBMC-OQAM

Select the modulation scheme for 5G.

2. GFDM Settings

Number of Subcarriers (K)

Range: 4 to 16384

Default: 64

Set the number of subcarriers for the GFDM signal. This value will be clipped to the nearest power of 2.

Guard Lower Subcarriers

Range: 0 - Number of Subcarriers / 2

Default: 1

Set the number of lower guard subcarriers. No data will be transmitted on these subcarriers.

Guard Upper Subcarriers

Range: 0 - (Number of Subcarriers - Guard Lower Subcarriers - 1)

Default: 1

Set the number of upper guard subcarriers. No data will be transmitted on these subcarriers.

Subcarrier Spacing

Display the subcarrier spacing. This value is read-only and will be automatically updated with FFT Length and System Sample Frequency change.

Actual Signal Bandwidth

Display the actual signal bandwidth of the used subcarriers (FFT Length - Guard Lower Subcarriers - Guard Upper Subcarriers).

Number of Subsymbols (M)

Range: 1 to 2000

Default: 16

Set the number of subsymbols for the GFDM signal.

Cyclic prefix (CP) Length

Range: 0 to K * M / 2

Default: 16

Set the cyclic prefix (CP) length (before oversampling).

Cyclic suffix (CS) Length

Range: 0 to K * M / 2

Default: 0

Set the cyclic suffix (CP) length (before oversampling).

Total Frame Length

Display the total frame length including CP and CS (before oversampling).

Idle Interval

Range: 0 to 200ms

Default: 4us

Set the idle interval in-between OFDM frames in seconds. When idle interval is set to zero, a continuous waveform will be generated.

System Sample Frequency

Range: 1 kHz to 4 GHz

Default: 20 MHz

Set the system sampling rate in Hz.

3. Pulse Shaping Filter

Filter Type

Choices: Raised Cosine | Root Raised Cosine | Xia 1st | Xia 4th | Rectangle

Default: Raised Cosine

Select the GFDM Filter Type.

Roll-off (α)

Range: 0.01 to 1 (Set to 0 if the filter type is rectangle.)

Default: 0.5

Set the Roll-off parameter of GFDM filter.

4. Window Settings

Window Type

Choices: Rectangle | Ramp | Raised Cosine | 4th Raised Cosine

Default: Ramp

Select the GFDM Window Type.

Ramp Length (Nw)

Range: 0 to FrameLength / 2

Default: 4

Set the ramp length of GFDM window.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

5G Candidate - F-OFDM

Save to 89600 VSA Setup

This feature saves the Custom Modulation configuration as a 89600B VSA setup file, simplifying VSA configuration so you can quickly demodulate the signal.

The 89600B VSA uses a parameter called Resource Repeat Index to reduce the length of the Resource Map and Resource Modulation arrays. The N7608C software, however, uses Repetition Start and Repetition Length to indicate the periodicity (how many symbols are repeated) between OFDM symbols. Therefore, a window appears, providing an opportunity for you to adjust these values before saving the setup file.

Repetition Setting Enabled

Choices: On | Off

Default: Off

Enable or disable the repetition setting for the setx file to be exported. If symbol mapping has repeatability, select On to set Repetition Start and Repetition Length to reduce the VSA setup file size, otherwise it should be set to Off.

Repetition Length

Range: 0 to Number of OFDM Symbols

Default: 0

Set the repetition length (in symbols) when generating the 89600 setup file. This parameter indicates the periodicity of the resource setting. Set to zero if there is no periodicity.

Only some of the basic OFDM parameters are saved to the 89600B setup file. You may need to adjust other parameters in the 89600B VSA to achieve optimum demodulation results.

Repetition Start

Range: 0 to Number of OFDM Symbols

Default: 0

Set the repetition start (in symbols) when generating the 89600 setup file. If the Repetition Length is not zero, this parameter indicates the start symbol index for repetition.

Unknown Pilot Enabled

Choices: On | Off

Default: Off

Enable or disable the unknown pilot. If enabled, the pilot resource element will be treated as unknown pilot on the VSA side.

VSA Setup assues data from

Choices: Hardware | Recording

Default: Hardware

Set the data source in the saved VSA setx file.

SCMA

For the SCMA resource elements, the resource modulation saved in the VSA setup file is 0, which means unknown.

If more than one data resource configuration has SCMA enabled, only the SCMA parameters of the last configuration are saved to VSA setup file.

A double array is used to save codebook, the dimension order is V-M-K.

For Enabled Layers, each value corresponds to each layer. 1 means enabled. 0 means disabled.

Closed View SCMA settings in the 89600 VSA.

NOMA

For the NOMA resource elements, the resource modulation saved in the VSA setup file is a dedicated number, which used as an index to QAM Identifiers of 1st and 2nd NOMA user. The QAM identifiers are then used as an index to QAM Levels and QAM Identifier Boost Levels.

Closed View NOMA settings in the 89600 VSA.

FBMC

A double array is used to save FBMC filter coefficients in the VSA setup file.

VSA setup file cannot support the case if using PPN structure in the source side.

F-OFDM

More selections appear when Modulation Scheme is F-OFDM under 5G Candidate node. The selections in the dropdown menu are related to the number of subbands.

Only the parameters of the selected subband are saved to VSA setup file. The Modulation Scheme is changed to F-OFDM in VSA and the filter settings are also saved (see Filter tab in VSA).

Closed View F-OFDM settings in the 89600 VSA.

1. Modulation Scheme

Modulation Scheme

Choices: FBMC-OQAM | UFMC | GFDM | F-OFDM

Default: FBMC-OQAM

Select the modulation scheme for 5G.

2.F-OFDM Settings

Min Subcarrier Spacing

Default: 3.75 kHz

Set the minimum subcarrier spacing across all the subbands. This property will be automatically updated with the equation: Min Subcarrier Spacing = Sample Frequency / Max FFT Size.

Sample Frequency

Range: 1 kHz to 4 GHz

Default: 7.68 MHz

Set the system sampling rate in Hz. All the subbands will share the same sampling rate.

Idle Interval

Range: 0 to 200ms

Default: 4us

Set the idle interval in-between OFDM frames in seconds. When idle interval is set to zero, a continuous waveform will be generated.

Reset

Resets the F-OFDM subband table to default settings.

Add

Adds a subband row to the end of the subband table.

Remove

Removes the selected subband row from the subband table.

Copy

Copies the selected subband row from the subband table.

Subband Name

Set the name of the subband.

Enabled

Enable or disable the selected subband in waveform generation.

Time Offset

Range: 0 to 10 ms

Default: 0

Set the time offset of the subband.

Subband Center

Set the frequency offset of the subband center in Hz relative to DC subcarrier.

Subband Bandwidth

Set the subband bandwidth in Hz.

Subcarrier Spacing

Set the subcarrier spacing of the subband in Hz.

The spacing must be a multiple of the Min Subcarrier Spacing.

Used Subcarriers

Sets the number of subcarriers used in current subband.

Subband Bandwidth = Subcarrier Spacing * Used Subcarriers.

Symbol Duration

Display the duration of one OFDM symbol of the subband. It equals to the inverse of subcarrier spacing.

Number of Symbols

Set the number of OFDM symbols included in one frame.

Cyclic Prefix Length

Click the [image] button to open the Closed Cyclic Prefix Length editor for configuring the length of the OFDM symbols within a frame. You can set each symbol individually or use a preset configuration.

You can add or remove cyclic prefix setting rows. Each setting row contains the following:

  • Symbol Index: Enter 'All' for all symbols, or enter a comma-seprated string to indicate the symbol index, like ‘0,3,6’ or ‘0:4’ or ‘0:4:20.' This is the same syntax as Symbol Index under Resource Mapping.

  • CP Length (%): Enter the cyclic prefix length as the percentage of FFT length.

  • CP Length: Enter the absolute cyclic prefix length by samples before oversampling.

Frame Length

Display the frame length of the subband in seconds.

Boost Level

Range: 0.1 to 10

Default: 1.00

Set the power boost level of the subband.

Filter Information

Bring up the F-OFDM Subband Filter Editor to configure the filter applied to the subband.

Time Frequency Mapping

Displays the time versus frequency graph with different colors designating Lower Band, LTE, and Upper Band frequencies.


F-OFDM Subband Filter Editor

F-OFDM Filter Setting

Filter Type

Choices: Sinc | User Defined | None

Default: Sinc

Select the filter type applied to F-OFDM subband.

Oversampling Ratio

Display the oversampling ratio of the waveform.

Sample Frequency

Display the sample frequency of the F-OFDM waveform.

Length (Symbol)

Range: 1 to 2048

Default: 32

Set the length of the filter in symbols.

Cutoff Frequency

Set the cutoff frequency of the filter in Hz.

The resulting filter bandwidth should not be less than the subband bandwidth.

Filter Window

Choices: Hanning | Hamming | Rectangle

Default: Hanning

Select the window type applied to the filter.

Filter Coefficient

Select the file that contains user filter coefficients. This parameter appears only when User Defined is selected as the Filter Type.

Impulse Response

Displays the impulse response of the filter.

Frequency Response

Displays the frequency response of the filter.


Real Time

Go to description Go to description <area shape="rectangle" coords="137,6,188,22" /> Go to description Go to description Go to topic Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Resource Mapping

This node only appears for Custom OFDM and 5G Candidate. It is not available for Custom IQ.

Add

Choices: Preamble | Pilot | Data

Use this drop-down menu to select and add a new resource configuration to the resource list.

Remove

Remove the selected resource configuration from the resource list.

Copy

Adds a copy of the selected resource configuration directly below. The name of the configuration is "Copy of...," but you can change that in the Name field.

Up

Moves the selected resource configuration up one position in the resource list.

Down

Moves the selected resource configuration down one position in the resource list.

Resource Block n

This property grid contains the parameters that apply to the selected resource block. Some parameters change depending on the type of resource block selected.

Name

Specify the name of the selected resource block.

Enabled

Choices: On | Off

Default: On

Enable or disable the selected resource block in the waveform.

Symbol Index

Set the symbol index for the selected resource block. There are four ways to configure symbols:

  • To configure by individual symbol, use a comma (,) as the delimiter. For example, 0,1,2,3.

  • To configure by a range of symbols, use a colon (:) to indicate the start symbol index and the end symbol index. For example, 3:10 means symbols 3,4,5,6,7,8,9,10.

  • To configure by a certain step, use two colons (:) to indicate the start symbol index, the step, and the end symbol index. For example, 0:5:20 means symbols 0,5,10,15,20.

  • To configure the chunk size for each step, use a third colon (:) after the end symbol index followed by the number of consecutive symbols for each step. For example, 0:5:10:2 means symbols 0,1,5,6,10,11.

These four configuration methods can also be used in combination by using a comma (,) as the delimiter. For example, 0:5:10:2,20:2:30 means symbols 0,1,5,6,10,11,20,22,24,26,28,30.

See also Using a Group ID for Symbol Index and Subcarrier Index.

Subcarrier Index

Set the subcarrier index for the selected resource block. There are five ways to configure subcarriers:

  • To configure by individual subcarrier, use a comma (,) as the delimiter. For example, 0,1,2,3.

  • To configure by a range of subcarriers, use a colon (:) to indicate the start subcarrier index and the end subcarrier index. For example, 3:10 means subcarriers 3,4,5,6,7,8,9,10.

  • To configure by a certain step, use two colons (:) to indicate the start subcarrier index, the step, and the end subcarrier index. For example, -10:5:10 means subcarriers -10,-5,0,5,10.

  • To configure the chunk size for each step, use a third colon (:) after the end subcarrier index followed by the number of consecutive subcarriers for each step. For example, -10:5:10:2 means subcarriers -10,-9,-5,-4,0,1,5,6,10,11.

  • To indicate whether the DC (subcarrier index 0) is skipped, add a fourth colon (:) to the end of the string followed by a 1. For example, -10:5:10:2:1 means subcarriers -10,-9,-5,-4,1,2,6,7,11,12.

    If start index is larger than 0 or the end index is smaller than 0, the fifth value will be ignored. For example, in the case of 3:5:20:2:1, the last ‘1’ is ignored.

These five configuration methods can also be used in combination by using a comma (,) as the delimiter. For example, -10:5:10:2:1,20:2:30 means subcarrers -10,-9,-5,-4,1,2,6,7,11,12,20,22,24,26,28,30.

For an F-OFDM resource configuration, the Subcarrier Index uses relative values instead of absolute values.

For example, using the default settings, the bandwidth of both the LowerBand and the UpperBand is 960 kHz, each containing 256 subcarriers. Therefore, the valid subcarrier index range for both is -128 to 127.

In the case of LTE, the bandwidth is 4.995 MHz, but the subcarrier spacing is 15 kHz, which means LTE contains 333 subcarriers. Therefore, the valid subcarrier index range is -166 to 166.

See also Using a Group ID for Symbol Index and Subcarrier Index.

Resource Mapping Order

Choices: First to Last | Low to High

Default: First to Last

Select the resource mapping order for both symbol index and subcarrier index. Below are some examples.

For the case of not using group ID:

First to Last: The Payload/IQ values will map to the symbol/subcarrier index based on the order of input string.

Symbol Index: 3, 2, 1

Subcarrier Index: 4, -6, 6, -10, 8

IQ Values: 0, 1, 2, 3, 4, … 14

You can see the IQ values are mapped based on the order of input string.

Low to High: The Payload/IQ values will map to the symbol/subcarrier index based on the sorted order of input string. You can see in the picture that the symbol index and subcarrier index are sorted from low to high.

For the case of using group ID:

First to Last: Based on the previous example, the group 2 is added. In First to last mapping, these two groups are independent, the IQ values are mapping to group1, then group2, and follow first to last rule same as not using group ID case.

Symbol Index: {1|3,2,1}, {2|4,0}

Subcarrier Index: {1|4,-6,6,-10,8}, {2|2,-2}

IQ Values: 0, 1, 2, 3, 4, … 18

Low to High: In this case, both symbol index and subcarrier index are sorted across all the groups, and the IQ values are mapped from low to high across all the groups, skip the subcarriers which are not defined in current group.

Resource Mapping

Choices: Preamble | Pilot | Data

Default: Data

Select the mapping type of the resource block.

  • Preamble: This kind of resource block usually appears at the beginning of a frame and contains a fixed IQ pattern for the synchronization purpose. This type has the highest priority in resource mapping, meaning that it will override other types when there is a resource allocation conflict.

  • Pilot: This kind of resource block usually appears at specific OFDM symbols and subcarriers and contains a sequence of modulated symbols for channel estimation purpose. This type has higher priority in resource mapping than Data, meaning that it will override Data block when there is a resource allocation conflict.

  • Data: This kind of resource block usually occupies the rest resources excluding Preamble and Pilot and is used for PHY payload data transmission with different modulation schemes. This type has the lowest priority in resource mapping.

If more than one block uses the same resource mapping type, the block with the larger number has priority. For example, if block #3 and block #4 are both data blocks and they conflict, then block #4 overrides the conflicting part of block #3.

Boost Level

Range: 0.1 to 10

Default: 1.00

Set the amplitude boost level for the modulated symbols in the resource block, in linear value. e.g. original symbol 1+i with boost level 2.5 will be 2.5+2.5i.

Guard Interval

Range: 0 to 0.5

Default: 0.25

Set the guard interval of OFDM symbols defined in the selected Preamble resource block. Use this property to specify a different guard interval for Preamble symbols than Data symbols.

IQ Values

Opens an Closed editor to configure IQ values transmitted in Preamble resource block type.

Zadoff-Chu

Clicking the Preset drop-down menu allows you to select Closed Zadoff-Chu, which opens an editor for configuring a Zadoff-Chu sequence onto the subcarriers. This selection is available for LTE P-SS in the downlink and DMRS in the uplink.

The root sequence is generated with:

Sequence Length (L): Number of values in the sequence.

Root Index (q): The root index of the sequence.

Skip Middle Index: When checked, the value with the middle index (L/2) will be removed from the sequence. For example, P-SS in LTE downlink skips the DC subcarrier.

Cyclic Shift (a): The shifted sequence is generated with a cyclic shift (in unit of π) to the root sequence with:

Pilot Data Mode

Choices: Payload Bit | IQ Values

Default: Payload Bit

Select the data mode for pilot. Pilot pattern can be defined in two ways: user can input pilot IQ values directly, or specify the payload bits with a modulation scheme.

Resource Modulation

Choices: BPSK | QPSK | 8PSK | 16QAM | 32QAM | 64QAM | 128QAM | 256QAM | 512QAM | 1024QAM | 2048 QAM | 4096QAM

Default: BPSK

Select the modulation scheme used for the resource block. The drop-down list contains all the constellations configured in Constellation Settings dialog, where symbol mapping for pre-defined constellations can be modified or new constellation can be created.

Modulation Phase Rotation

Range: 0 to 360

Default: 0

Set an additional phase rotation in degrees to the modulated symbols in the resource block.

Payload

Choices: PN9 | PN15 | Custom Bit Pattern | User File

Default: PN9

Opens the Closed Data Setup window where you can select the payload bits to be modulated in Pilot or Data resource block type. You can also load, save, and create custom bit patterns. The payload bit is mapped to resource element in subcarrier-first manner. It starts from the first valid symbol in Symbol Index, and go over each valid subcarrier in Subcarrier Index in sequential order. Then it moves to the next valid symbol, go over each valid subcarrier again, and so on.

DFT Spread

Choices: On | Off

Default: Off

Enable or disable the DFT spread before IFFT. When enabled, a DFT will be performed to modulated symbols and then map the output to allocated resource elements.This processing is represented by the dotted part below:

This parameter is required for signals with SC-FDMA multiple access, such as an LTE uplink signal. The DFT size will be the number of resource elements defined in the resource block.

2. Multiple Access

This property grid appears only when using Custom OFDM or 5G Candidate and when a data block is selected in the resource block editing table.

Multiple Access Scheme

Choices: Off | SCMA | NOMA

Default: Off

Select the multiple access scheme for current data block.

Selecting SCMA adds the SCMA Settings parameter, providing you access to the SCMA Setup Form dialog box when you click [image].

Selecting NOMA adds the NOMA Settings parameter, providing you access to the NOMA Setup Form dialog box when you click [image].

2. MIMO

Number of Antennas

Range: 1 to 8

Default: 1

Gets the number of antennas included in the waveform. Read only.

Stream(s) Generated

Default: The default value is 0, which is corresponding to Antenna0

Set the Stream(s) Generated used for the transmission of this channel, multiple values input are allowed, such as 0,1,2,3, or 0:3, the Number of Antennas is automatically coupled with the number of Stream(s) Generated.

Resource Mapping

Displays the Resource Mapping graph. Notice you can Flip subcarrier axis by checking the box. The highlighted row in the resource block editing table appears red (Selected) in the graph.

Resource Modulation

Displays the Resource Modulation graph. Notice you can Flip subcarrier axis by checking the box. The highlighted row in the resource block editing table appears red (Selected) in the graph.

UFMC Subband Display (5G Candidate - UFMC only)

Displays the UFMC Subband Display graph.


Graph View

The following graphs are available at the bottom of the Waveform Setup node and the Carrier node.

Where an Inter-band instrument setup is being used, there is a CCDF, Power Envelope, and Waveform Graph available for each antenna n, in each of the Inter-band n setups.
CCDF Graph | provides information on viewing the CCDF plot of the generated waveform.
Waveform Graph | provides information on viewing the current waveform. View either the modulated waveform or the I/Q signal.


CCDF Graph

Click Waveform Setup or Carrier in the Closed tree view . The graph view is located below the Waveform Setup property grid. Click the CCDF tab to display the CCDF graph.

The CCDF graph displays the probability (in percentage) that the generated waveform's calculated peak-to-average power ratio (measured in dB) is greater than or equal to a specified level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform. For additional information, see Understanding CCDF Curves.

Click Generate Waveform [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Changes to the channel configuration setup do not update the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Use the buttons shown below to plot the Gaussian data, reference data, and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Click the Gaussian button to toggle the Gaussian noise curve (blue) on or off.

Click the Reference button to toggle the reference curve (red) on or off.

Click the Acquire Ref. button to set the current waveform curve as the reference curve.

Click the Waveform CCDF/Burst CCDF button to select the range of the CCDF calculation.

Burst CCDF calculates the CCDF curve based on the generated I/Q waveform, excluding the off power period.

Waveform CCDF calculates the CCDF curve based on entire generated I/Q waveform.

Related Topics

Understanding CCDF Curves

Waveform Graph


Waveform Graph

Click Waveform Setup or Carrier in the Closed tree view. The graph view is located below the Waveform Setup property grid. Click the Waveform tab to display the waveform graph.

Click Generate Waveform [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot four different waveform graphs (Power, I+Q, I/Q, and Spectrum) for the current waveform configuration. Changes to the waveform configuration do not update the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

The Power plot is shown in the figure below.

Click the down arrow [image] to open a Closed drop-down menu from which you can select other waveform plots. Selections include Power (shown above), I+Q, I|Q, and Spectrum. Click the button to the left of the arrow [image] to advance to the next plot type in the list without displaying the menu.

Related Topics

CCDF Graph


API

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | provides information on accessing API help, usage requirements, and references.
Sample API Programs | provides information about API examples included with the software that can be modified for your application.
Using the API with LabVIEW | provides instructions on using Signal Studio .NET APIs with LabVIEW.


API Help

API Class Library

API commands for controlling the N7608C Signal Studio graphical user interface are documented in the N7608C Documented Class Library (N7608API.chm). This help file is located in the following directory:

C:\Program Files\Keysight\Signal Studio Pro\Custom Modulation 2023.0801

Many of the links in the API help require the Microsoft Visual Studio .NET integrated development environment (IDE). Without the IDE, these links appear broken. Download the IDE to repair the links.

Sample API Programs

The software installation includes Sample API Programs. You can use these samples as a starting point to develop your own API programs.

Numeric Format

This software recognizes only US style numeric format, for example, floating point is "."

Language Requirements

You must set the API locale to "en-US" using the following commands prior to starting the user main routine:

Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US"); // Sets the culture to English (US)

Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US"); // Sets the UI culture to English (US)

You can see these culture setting commands in Main .cs, located in the ...\Samples\SimpleControl folder (See Sample API Programs).

Loading .NET Mixed-Mode Assemblies

The .NET Framework 4.x allows you to load pure managed assemblies built in any version of the .NET Framework. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure your program (e.g. User_App.exe) to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version="1.0" encoding="utf-8"?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0" />

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as User_App.exe. Name the file User_App.exe.config.

  4. Re-launch User_App.exe.

.NET Version Workaround

If you are using a recent version of Visual Studio, such as VS 2015, the default .NET version will be later than .NET 3.5, which is required for using the Signal Studio API. In this case, if you change the project settings of the Visual Studio program to .NET 3.5, you will not benefit from the latest .NET features. Therefore, it is better to create a .config file in your VS project, enabling you to benefit from the latest .NET features. To do this, follow the exact same steps described in Loading .NET Mixed-Mode Assemblies above.

References

The Microsoft.NET home page.

Developing Microsoft.NET Skills.

"Migrating Native Code to the .NET CLR," by Don Box.

Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


Sample API Programs

Sample programs are placed in this default location when you install the software:

C:\Users\<user name>\AppData\Roaming\Keysight\Signal Studio Pro\Custom Modulation 2023.0801\Samples

Using Microsoft Visual C# .NET or a similar IDE, you can modify these sample projects to develop your own API programs.

Basic Program Flow

You can create an API program by performing the following general steps. This sequence is demonstrated in the Main.cs file, which is included in the ...\Samples\SimpleControl folder.

  1. Create an API object.

  2. Configure the instrument connection.

  3. Clear all carriers.

  4. Configure the waveform.

  5. Add a framed carrier.

  6. Generate and download the waveform to the instrument.

  7. Turn on the RF output.

  8. End the program and turn off the RF output.

Before editing the sample programs, make backup copies of all files. To save the edited files, right-click each file, select Properties, and deselect the read-only attribute.


Using API in LabVIEW

Real Time

Using Signal Studio .NET APIs in LabVIEW

This topic provides instructions (outlined below) for using Signal Studio .Net APIs in LabVIEW.

  • Load .NET Mixed-Mode Assemblies

  • Creating .NET Objects in the Block Diagram

    • Step 1: Configure the Constructor Node

    • Step 2: Configure Properties for Methods for the .NET Object

    • Step 3: Wire the Added .NET Nodes

    • Step 4: Run the VI

  • Example LabVIEW VIs using Signal Studio APIs

  • .NET Topics in LabVIEW Help

Load .NET Mixed-Mode Assemblies

The .NET Framework 4.0 allows you to load pure managed assemblies built in any version of the .NET Framework and LabVIEW loads the .NET Common Language Runtime (CLR) 4.0 by default. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure LabVIEW to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0.30319"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as LabVIEW.exe. Typically the directory is C:\Program Files (x86)\National Instruments\LabVIEW 2014. Name the file LabVIEW.exe.config.

  4. Re-launch LabVIEW.

Creating .NET Objects in the Block Diagram

Signal Studio APIs do not provide graphical controls, so most of the usages of APIs should be done in the Block Diagram view of LabVIEW (Window > Show Block Diagram).

Step 1: Configure the Constructor Node

  1. Add the Constructor Node to the block diagram to launch the Select .NET Constructor dialog box.

  2. Select an assembly, objects, and constructors for a .NET object.

    First, right click to “Select Constructor” and in the pop-up window “Browse” to the Signal Studio software installation directory to select the assembly (.dll or .exe) that provides the API interfaces. Then, select the appropriate Object and Constructor.

    Choose which assembly, object, or constructor according to your testing needs and also by looking at the related API help contents shipped with the Signal Studio software.

    • API related topics in the main help file (Help > Contents)

    • API referenc help file (Help > API Reference)

Step 2: Configure Properties for Methods for the .NET Object

Right click the Constructor node to create Property or Method node.

You can also right click the name of the Property to create sub Property or sub Method nodes.

Step 3: Wire the Added .NET Nodes

After all the needed nodes are created, wire them up (using the reference and error input/output connectors of the nodes) to execute the API test flow/procedure.

When wiring the whole test procedure up, you may need to add other nodes (e.g. a numeric constant), or a front panel control (in the Window > Show Front Panel view, to do runtime control) to the block diagram as appropriate.

Some properties may be “Read,” so you may need to “Change To Write” to assign value to the property.

From the context help in LabVIEW, you can know the type of a certain property node, which is helpful to wire the correct type of node/control to the property node.

Step 4: Run the VI

After all the nodes/controls are wired up correctly, you can try to run (click the toolbar button) the VI. Below is a completed small VI whose function is to set some basic configurations of 802.11ac waveform then generate 802.11ac waveforms and download it to a Signal Generator.

Some Signal Studio apps provide Close() and/or Dispose() methods in the constructor class. It is important to add a method node to call Close() or Dispose() as the last step in the block diagram to release/clean up some resources associated with the API usage.

Example LabVIEW VIs using Signal Studio APIs

Attached are two example VIs for a coupleSignal Studio applications:

  • N7614B.vi performs a simple waveform downloading procedure for the Power Amplifier Test application

  • N7617B.vi is a relatively complex example that uses different WLAN 802.11ac waveform configurations, including MIMO

To run the VIs, LabVIEW and the Signal Studio software need to be installed on your PC.

.NET Topics in LabVIEW Help

Refer to the LabVIEW help for more detailed information about using .NET objects. The image below shows where to find this information or you search on "Creating .NET Objects on the Block Diagram."


Release Notes

Real Time

N7608C Release Notes

Version | Release Date | License Version
4.0 | Sep 2023 | 2023.0801
3.8 | Sep 2022 | 2022.0801
3.6 | Mar 2022 | 2022.0201
3.4 | Jan 2021 | 2021.0201
3.2 | Jul 2020 | 2020.0730
3.0 | Jan 2020 | 2020.0130
2.0 | Aug 2019 | 2019.0801
1.2 | Feb 2018 | 2018.0201
1.0 | Aug 2017 | not applicable

N7608B Release Notes

Version 3.0 - Sep 2016

Version 2.0 - Nov 2015

Version 1.0 - Mar 2015

4.0 - Sep 2023, 2023.0801

Enhancements

  • Added MIMO features for Custom OFDM, Preamble & Data & Pilot Segments.

  • Added new presets for Custom IQ:

    • 802.15.3d

    • SOQPSK-A/B

3.8 - Sep 2022, 2022.0801

Enhancements

  • Ramp Samples supported for Custom IQ, ASK & PSK & QAM data segments

  • Added support for live connectivity to the M9484C VXG signal generator

3.6 - Mar 2022, 2022.0201

Enhancements

  • Added idle interval support for Channel Sounding

  • Added 32/64 FSK support

  • Export FlexFrame .setx for multi-segment APSK signals

  • Further increased upper limit of symbol rate/sample rate to 200 GHz.

  • Extended the upper limits of Number of Symbols for APSK signal to support full PN23 sequence

Bug Fixes

  • Fixed an issue that Frequency Offsets of Multicarrier signal were not correctly applied when User Defined Sample Rate is used

3.4 - Jan 2021, 2021.0201

Enhancements

  • Updates for DVB-S2/S2X presets

    • Added support for PLHEADER segment before Data segment

    • Updated GUI to remove the “Scrambled” in the names of related presets, and removed the corresponding “unscrambled” ones

  • Added support for pre-correction with user specified VSA EQ file

  • Increased the upper limit of Symbol Rate/System Sample Frequency for Custom IQ/OFDM

  • Added live connectivity support for the M8195A AWG

3.2 - Jul 2020, 2020.0730

Enhancements

  • Added support for Channel Sounding with multi-path channel under Custom IQ

  • Added support for Cyclic Suffix for Custom OFDM

  • Application Shortcut updates:

    • Added support for QPSK/8PSK presets for DVB-S2X

    • Added support for scrambled 8APSK/256APSK presets for DVB-S2X

    • Added support for DVB-S2 presets

3.0 - Jan 2020, 2020.0130

Enhancements

  • Updated licensing behavior with newly added Playback License Mode parameter

  • Added support for live connectivity to the M9383B VXG-m and M9384B VXG

  • Maximum oversampling ratio extended to 1024

  • Custom IQ updates:

    • Added payload data offset for multicarrier

    • Maximum number of symbols per segment extended to 2000000 for Custom ASK & PSK & QAM

    • Maximum FM deviation extended to 100 x FM rate for analog modulation

    • Maximum PM deviation extended to 100 for analog modulation

2.0 - Aug 2019, 2019.0801

Enhancements

  • Added support for multicarrier generation

  • Added support for live connectivity to the N5166B CXG

1.2 - Feb 2018, 2018.0201

Enhancements

  • Added Offline Mode support to generate/export waveform files without PC software license

  • Added support for Windows 10

  • Added legacy waveform conversion tool

Bug Fixes

  • Updated the Sine2 Level definition in Analog Modulation

  • Fixed the recall issue for some constellation definitions

  • Fixed the hint on/off toggle issue for Custom IQ GUI

1.0 - Aug 2017

Enhancements

  • Added PC-based licensing (N7608APPC) and Raw option (N7608RAWC) for R&D use cases

  • Continue to offer embedded-waveform playback licensing (N7608EMBC) for manufacturing use cases

  • Added quick-access "shortcuts" for preset application and modulation types

  • Added tool for configuring VSA Custom OFDM MIMO setup

Custom OFDM

  • Added half-subcarrier shift

  • Expanded syntax for defining symbol index and subcarrier index

5G Candidate (formerly Custom 5G)

  • For FBMC, increased maximum number of symbols to 8000

  • For FBMC, added phase rotation for each subcarrier

  • Increased number of SCMA layers to 16

Custom IQ

  • Added Analog Modulation (AM, FM, PM)

  • Added Automotive Radar: FMCW, MFSK, Chirp Sequence

Bug Fixes

  • Fixed the issue where the setup file could not be recalled when the idle segment was used in ASK&PSK&QAM of Custom IQ

  • Fixed the issue where DFT spreading was not correct when there was overlapping in the resource allocation of Custom OFDM

  • Fixed the issue where SSS sequence was not correct in LTE 5M downlink preset in Custom OFDM

  • Fixed the issue where APCO25 HCPM preset was not correct

  • Fixed the issue where API default directory was not correct

N7608B Version 3.0 - Sep 2016

Enhancements

Custom OFDM

  • Supports variable cyclic prefix

  • Added quick setup for LTE FDD Downlink 5 MHz

  • Added quick setup for LTE FDD Uplink 5 MHz (without half subcarrier shift)

  • Added an editor for configuring a Zadoff-Chu sequence onto the subcarriers

  • Added Initial Phase and Frequency Offset parameters

  • Updated capability for saving 89600 setup files

  • Added a Flip subcarrier axis check box to Resource Mapping and Resource Modulation graphs

  • Introduced a Group ID to support 1-to-1 mapping for Symbol Index and Subcarrier Index

  • Added two new read-only parameters: Subcarrier Spacing and Actual Signal Bandwidth

5G Candidate (formerly Custom 5G)

  • Added configurable SCMA and NOMA multiple access schemes for resource mapping

  • F-OFDM updates, including time offset and max subband filter length increased to 2048

  • Added capability for saving an 89600 setup file

  • Updated FBMC default frame structure

  • Renamed Custom 5G to 5G Candidate

Custom IQ

  • Added quick setups to support the following radio formats:

    • APCO25

    • TETRA

    • NXDN

    • dPMR

    • DECT

    • DMR

    • ARIB

    • ZigBee

    • Wi-SUN (802.15.4g)

    • ITU-T G.9959

  • Added support for ARTM Multi-h CPM signal type

  • Added capability for saving an 89600 setup file

  • Added support for shift in ASK & PSK & QAM

Other

  • SCP file size reduced, but is not backwards compatible with previous software versions.

  • Added parameter Mirror Spectrum under Waveform Setup, allowing user to generate either normal or inverted IQ

  • Added capability to generate waveforms with reduced crest factor

Bug Fixes

  • Fixed the defect where RRC filter shaping was not correct when oversampling ratio was an odd value

  • Fixed the defect where the exported Custom OFDM VSA setup file was not correct if the pilot was set to IQ values

  • Fixed the error caused by moving channel up/down In resource configuration

  • Fixed the generation failure for a multi-frame FSK signal

  • Changed the default reference source for M8190A DUC mode to Internal

  • Fixed the InvalidOperationException caused by starting an API instance

  • Fixed the defect where F-OFDM setx file did not save SG frequency after pressing New button

  • Fixed the defect where the subcarrier index range was not correct if the number of subcarrier was an odd number in F-OFDM subband

  • Fixed the defect where the F-OFDM signal with some band center value could not be demodulated by VSA

  • Fixed the unexpected parameter change of M8190A after pressing New button

  • Fixed the unhanded exception that occurs in Cyclic Prefix Length Editor

N7608B Version 2.0 - Nov 2015

Enhancements

  • Added direct-connectivity support for the M9381A PXIe VSG

  • Added direct-connectivity support for the M9420A VXT PXIe Vector Transceiver

  • Added direct-connectivity support for the M8190A AWG in the following test scenarios:

    • Interpolated mode: Interpolation x3/12/24/48

    • Direct mode: 12bit/14bit DAC resolution (combined with an E8267D PSG as an up-converter)

  • Added support for Keysight IO Libraries Suite 17.1

  • Added support for Windows 8.1 and dropped support for Windows XP

Custom OFDM

  • Added the following quick setups:

    • DOCSIS 3.1 Upstream,

    • DOCSIS 3.1 Downstream

    • CDR: TxMode1 Spectrum Mode 2, 9, 10

    • DRM: ModeB 20K

  • Added the following parameters:

    • Windowing Method

    • Guard Interval for Preamble resource block

    • Pilot Data Mode

Custom IQ

  • Added more presets for APSK and QAM constellation settings, including OOK and ASK

  • Added custom FSK modulation type

Custom 5G

  • Added support for UFMC, GFDM, and F-OFDM waveform formats

Bug Fixes

  • Fixed the defect that waveform generation is very slow when payload type is User File

  • Fixed the defect that preset for DVB-S2X 256APSK rate 22/30 is not correct

N7608B Version 1.0 - Mar 2015

Software version 1.0 is the initial release of the N7608C Signal Studio Pro for Custom Modulation 2024.

Initial Release Features

  • Direct-connectivity support for the N5182B MXG, N5172B EXG, E4438C ESG, and E8267D PSG signal generators

  • File-export connectivity support for the M8190A AWG Wideband ARB

  • Supports waveform generation of Custom IQ signals, including:

    • flexible framing structure with data and idle segment setting

    • pre-defined and user-defined constellations

    • pre-defined DVB-S2X modulations

    • pre-defined SOQPSK-TG filters

    • save configurations as 89600B VSA setups

  • Supports waveform generation of Custom OFDM signals, including:

    • flexible configuration for preamble, pilot, and data resource blocks

    • graphical displays for resource mapping and modulation

    • save configurations as 89600B VSA setups

  • Supports waveform generation of Custom 5G signals, including:

    • flexible configuration for preamble, pilot, and data resource blocks

    • graphical displays for resource mapping and modulation

    • user-defined overlap factor and prototype filter in time/frequency domain


KeysightCare Support ID

What is the KeysightCare support ID?

Where can I find the KeysightCare support ID for an instrument-embedded license?

Where can I find the KeysightCare support ID for a PC-based node-lock or transportable license or modular instrument?

Where can I find the KeysightCare support ID for a PC-based floating license?

Where can I find the KeysightCare support ID for a PC-based USB portable license?

What is the KeysightCare support ID?

The KeysightCare support ID is used to identity your support contract status when registering for Keysight web-based service and when contacting technical support. If the Signal Studio license is within the valid support contract, you will be notified for the new software version and freely subscribe to the new version with new features and bug fixes included. Typically, the support ID is one of the following:

  • Instrument model number + serial number for an instrument-embedded license

  • Host ID for a PC-based node-locked or transportable license or modular instrument

  • MAC address for a PC-based floating license

  • USB hardware key serial number for a PC-based USB portable license

Where can I find the KeysightCare support ID for an instrument-embedded license?

For an instrument-embedded license, the support ID can be found inside the instrument under the path [Utilities] > {Instrument Info} > {Diagnostic Info} > {Support ID}. If the Support ID softkey does not exist, the Diagnostic Info softkey can show you the model and serial number, which is used as the Support ID. (For example: N5182B, MY51350466, as shown below.) For licenses installed on modular instruments, the KeysightCare support ID is the Host ID, same as a PC-based node-locked or transportable license, which can be found on the modular PC controller.

Where can I find the KeysightCare support ID for a PC-based node-lock or transportable license or modular instrument?

For a PC-based node-locked or transportable license, you should install Keysight License Manager 5 and then open the Keysight License Service, which will show you the Host ID that is also used as the KeysightCare support ID. (For example: PCSERNO, YG68959746, as shown below.)

Where can I find the KeysightCare support ID for a PC-based floating license?

For a PC-based floating license, the KeysightCare support ID is the floating license server’s MAC address, which is a 12-digit hexadecimal number, sometimes called a LAN ID or Physical Address. Follow these steps to find your server MAC address:

  1. Open the Search Windows field. (Either next to or accessed from the Window Start icon.)

  2. Enter the command: "cmd /k ipconfig /all."

The command returns information similar to the line in the image below:

The KeysightCare support ID does not require dashes, so you only need to use the Physical Address as one continuous 12-digit number (example: 123456ABCDEF).

Where can I find the KeysightCare support ID for a PC-based USB portable license?

For a PC-based USB portable license, the KeysightCare support ID is the USB hardware key serial number. Read the FLEXid that is printed on your hardware key. The number should be in this format:

For FLEX9: 9-1234abcd

For FLEX10: 10-1234abcd


Additional Information

Real Time

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Real Time

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    CXG, EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


User Permissions

To install and run the N7608C software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files\Keysight\Signal Studio Pro\Custom Modulation 2023.0801

  2. Right click the Custom Modulation 2023.0801 installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables you to generate and play waveforms created with any of the software's optional capabilities. When the trial license expires, the software will no longer generate waveforms for download and playback on your instrument. You must purchase a valid node-locked or transportable license to continue. For more information, visit the Signal Studio trial license web page.

Purchased Licenses

Three types of licensing options are available:

PC-Based. License is installed on a PC, enabling you to use the software to generate and download waveforms to an instrument for playback.

Floating. Provides the ability for multiple client PCs to use a common license that is stored on a network license server.

Embedded Waveform Playback. License is installed on an offline instrument, enabling playback of exported waveforms.

Purchasing options include:

  • Node-locked perpetual

  • Node-locked one year

  • Transportable perpetual

  • Transportable one year


Configuring a Floating License Server

Floating License Manager configures a remote Windows PC to act as a floating license server. This is a fast and easy way to get up and running with floating licenses.

The Floating License Manager requires at least one valid floating license file on the remote PC to configure the server. See the entitlement certificate for more information.

  1. Install Floating License Manager on the PC you want to use as the floating license server. If the PC used as the floating license server is a server-only machine and does not need the Signal Studio software, you can unzip/unpack the Signal Studio installer package and run just the Floating License Manager installer. Do one of the following:

    Install the Floating License Manager only (recommended if the PC is used as a dedicated floating license server)

    1. Launch the Signal Studio installer.

    2. Click OK when you see a message about unpacking the fileset.

    3. Uncheck "When done unzipping open: .\autoplay.exe" and click Unzip to unpack the Signal Studio fileset to the default location.

    4. When finished, Click OK, then close the WinZip Self-Extractor.

    5. Launch the Floating License Manager installer.

    Install Signal Studio software with the Floating License Manager

    Floating License Manager is installed with the Signal Studio software; however, installing the entire Signal Studio software package and the accompanying licensing services is not necessary if your PC is to be used as a dedicated floating license server. In this case, follow the steps to install the Floating License Manager only.

    1. Launch the Signal Studio installer.

    2. Follow the steps and use the default option selections to install both the Signal Studio software and the Floating License Manager.

  2. Launch the Floating License Manager from the Windows Start menu.

  3. Select Start floating license server with a license file from the Floating License Manager's startup menu.

  4. Click the Add button and browse to the location where you store the license files.

  5. Select the license files that you want to add to the license server and click Open.

  6. Click Next. Floating License Manager's License Server Setup Wizard will configure the license server. A dialog will appear to indicate that the license server is being configured.

  7. Click Finish when you see a message that the licenses have been installed and configured successfully.

  8. Click the Licenses icon to check the available licenses on the newly created server.

    The licenses have been installed on the floating license server.


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On CXG, EXG, MXG, PSG, and ESG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.


Redeeming a Floating License

This procedure describes how to redeem floating licenses and how to obtain the license files to be installed onto the license server computer. The license server computer is the host computer where the original redeemed license files are installed.

  1. Obtain your Software License Entitlement Certificate(s). After purchasing the Signal Studio software floating product licenses, Keysight will send you a Software License Entitlement Certificate for all options that you have purchased.

  2. Follow the instructions included on the Software License Entitlement Certificate to redeem your licenses and obtain the license files.


N7608C System Requirements

To generate signals using the N7608C Signal Studio Pro for Custom Modulation 2024 software, you must have a properly configured PC and a properly configured instrument, as described in the following tables.

Hardware Requirements

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

  • Version B.01.70 or later

Required options:

  • N5172B-653 (internal baseband generator, 32 Msa/s, up to 60 MHz RF bandwidth)

Recommended options:

  • N5172B-009 (internal Flash drive)

N5182B MXG X-Series RF vector signal generator

Firmware:

  • Version B.01.70 or later

Required options:

  • N5182B-656 (internal baseband generator, 32 Msa/s, up to 80 MHz RF bandwidth)

Recommended options:

  • N5182B-009 (internal Flash drive)

N5166B CXG RF vector signal generator

Firmware:

  • Version B.01.80 or later

N5182A MXG vector signal generator

NOTE: This instrument model is valid only when Playback License Mode is set to PC License.

Firmware:

  • Version A.01.20 or later

Required options:

  • N5182A-652 (60 Msa/s internal baseband generator with 8 Msa memory)

Recommended options:

  • N5182A-019 (increase baseband generator memory to 64 Msa memory)

E4438C ESG vector signal generator

NOTE: This instrument model is valid only when Playback License Mode is set to PC License.

Firmware:

  • Version C.04.95 or later

Required options:

  • E4438C-601 (internal baseband generator with 8 Msa memory and digital bus capability)

Recommended options:

  • E4438C-602 (internal baseband generator with 64 Msa memory and digital bus capability)

E8267D PSG vector signal generator

Firmware:

  • Version C.06.26 or later

Required options:

  • E8267D-602 (internal baseband generator with 64 Msa memory and digital bus capability)

M8190A arbitrary waveform generator + E8267D PSG vector signal generator1

M8190A required options:

  • Firmware v5.1.0.0 or later

  • M8190A-002 (2 channels)

  • M8190A-12G (12-bit, 12-GHz max sample rate) or

  • M8190A-14B (14-bit, 8-GHz max sample rate)

E8267D PSG required options:

  • E8267D-015 (wideband differential external I/Q inputs for serial number prefixes < US/MY 4722)

    or

    E8267D-016 (wideband differential external I/Q inputs for serial number prefixes ≥ US/MY 4722)

M8190A arbitrary waveform generator

Firmware:

  • Version 5.1.0.0 or later

Required options for Wideband IQ:

  • M8190A-002 (2 channels)

  • M8190A-12G (12-bit, 12-GHz max sample rate) or

  • M8190A-14B (14-bit, 8-GHz max sample rate)

Required options for Wideband IF:

  • M8190A-001 (1 channel) or

  • M8190A-002 (2 channels)

  • M8190A-12G (12-bit, 12-GHz max sample rate) or

  • M8190A-14B (14-bit, 8-GHz max sample rate)

  • M8190A-DUC (digital upconversion)

Recommended options:

  • M8190A-02G (upgrade baseband generator memory from 128 Msa to 2 Gsa)

  • M8190A-AMP (5-GHz analog bandwidth)

  • M8190A-DUC (digital upconversion)

M8195A arbitrary waveform generator

Firmware:

  • Version 3.5.0.0 or later

Recommended options:

  • M8195A-16G (upgrade to 16 Gsa memory)

M9381A PXIe vector signal generator

Driver:

  • Version 1.4.400.0 or later

Recommended options:

  • M9381A-M05 (memory 512 Msa)

  • M9381A-M10 (memory 1024 Msa)

  • M9381A-1EA (high output power)

  • M9381A-B10 (RF modulation bandwidth 100 MHz)

  • M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

  • M9381A-F06 (1 MHz to 6 GHz frequency range)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.

  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

M9383B VXG-m microwave signal generator

Firmware:

  • Version A.02.00 or later

Recommended options:

  • M9383B-001 (add channel 1)

  • M9383B-F44 (frequency range, 1 MHz to 44 GHz)

  • M9383B-D21 (RF bandwidth, 2 GHz with 256 MSa memory for frequency options F32 and F44)

  • M9383B-M05 (baseband generator memory upgrade to 512 MSa)

M9384B VXG microwave signal generator

Firmware:

  • Version A.02.00 or later

Recommended options:

  • M9384B-001 (add channel 1)

  • M9384B-F44 (frequency range, 1 MHz to 44 GHz)

  • M9384B-D21 (RF bandwidth, 2 GHz with 256 MSa memory for frequency options F32 and F44)

  • M9384B-M05 (baseband generator memory upgrade to 512 MSa)

M9484C VXG signal generator

Firmware:

  • Version A.10.00 or later

M9420A VXT PXIe vector transceiver

Software:

  • Version M.19.31 or later

Recommended options:

  • M9420A-1EA (high output power)

  • M9420A-B85 (increases signal bandwidth to 80 MHz)

  • M9420A-B1X (increases signal bandwidth to 160 MHz)

  • M9420A-M05 (memory 512 Msa)

Additional options to consider:

  • M9420A-506 (6 GHz frequency range)

  • M9420A-FDX (full duplex ports)

  • M9420A-HDX (half duplex ports)

M9421A VXT PXIe vector transceiver

Software:

  • Version M.19.31 or later

Recommended options:

  • M9421A-1EA (high output power)

  • M9421A-B85 (increases signal bandwidth to 80 MHz)

  • M9421A-B1X (increases signal bandwidth to 160 MHz)

  • M9421A-M05 (memory 512 Msa)

Additional options to consider:

  • M9421A-506 (6 GHz frequency range)

  • M9421A-HDX (half duplex ports)

1. This configuration is used for wideband DPD support, in which the M8190A works as an IQ waveform generator and the E8267D PSG works as a modulator and upconverter.

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

If you use a high-resolution display, the GUI's font size may appear too small to read. To resolve this, lower your PC's display resolution, but make sure the display scaling remains set at 100 percent, otherwise portions of the GUI will become truncated and hidden from view.

Windows 10 (64 bit):

  • 1 GHz or faster

  • 8 GB of memory minimum

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer 11.0 or later

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Microsoft .NET Framework 4.6 or later

Keysight IO Libraries, version 18.0 or later

Keysight License Manager 5 (2. Downloading and Installing Keysight License Manager 5)

Keysight License Service (included with installer)

Keysight Host Processor Platform (included with installer)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later


Setting up a Floating License Client PC

After configuring the floating license server, use the Floating License Manager to access the floating licenses.

  1. Install the Floating License Manager on the Client PC. Floating License Manager is installed with the Signal Studio software as part of the Licensing Services.

  2. Launch the client PC's Floating License Manager from the Windows Start menu.

  3. Select Connect to a floating license server from Floating License Manager's startup menu.

  4. Select Signal Studio from the list of products, if the License Setup Wizard hasn't automatically detected it for you, then click OK.

  5. Enter the license server's full name preceded by the "@" symbol. (e.g., @myserver.mycompany.com).

  6. Click Next. Floating License Manager's License Setup Wizard will connect with the floating license server and discover its licenses.

  7. Click Finish when you see a message that the licenses have been installed and configured successfully.

  8. Click the Usage icon to check the licenses that are available to the client PC.

    The Available and In Use columns show the current status of all licenses on the server.

    When using floating licenses, it is good practice and an efficient use of resources to only enable the options you need for the current measurement. Enabling more options than necessary will tie up licenses that other users may need.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the Host ID of the PC for which the trial license is being issued.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license, continue to the N7608C product web page and click Download a Free Trial. Two types of trial licenses are available for the N7608C:

  • PC application: N7608APPC

  • waveform playback: N7608EMBC

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.


USB Dongle License Setup

  • Floating and USB dongle licenses cannot work together. You must select one type for the setup.

  1. Attach the dongle to the USB port.

  2. Install the USB dongle drivers.

    Floating License Manager is required to obtain the USB dongle drivers. You must manually install the appropriate driver for Hardware Key (dongle).

    • For FLEX-9:

      Copy C:\Program Files\Keysight\Floating_License_Tools\bin\FLEXID9_Windows_v6_65_x64\haspsrm_win64.dll to Windows\System32 directory.

    • For FLEX-10:

      Run C:\Program Files\Keysight\Floating_License_Tools\bin\FLEXID10_Windows_v6_30_x64\setup.exe.

  3. Set Product Environment Variable.

    Variable name: SIGNALSTUDIO_LICENSE_FILE

    Variable value: specify one or more full path-names to the USB dongle license file(s)


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision for your Signal Studio software.

Where to Access the Latest Help

  1. Visit the N7608C product web page.

  2. Click "Get Latest Version" to access the software download page and scroll down to the list of "Supporting Documentation."

  3. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) should be listed.

  4. Scroll over the .chm file link to view the date and compare it to the compiled date shown on the main menu page of your software's embedded help.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's embedded help is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing embedded help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (n7608.chm) is located in the following directory:

    C:\Program Files\Keysight\Signal Studio Pro\Custom Modulation 2023.0801.

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (N7608API.chm), if one exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents or Search from the Help drop-down menu.


Constellation Setting

This window appears when you click the Constellation cell for a Custom IQ data segment. Use it to make edits to the constellation and individual symbols.

Preset

Choices: OOK | 2ASK | 4ASK | 8ASK | BPSK | QPSK | 8PSK | 16QAM | 32QAM | 64QAM | 128QAM | 256QAM | 512QAM | 1024QAM | 2048QAM | 4096QAM

Use the drop-down menu to select a pre-defined modulation type.

Insert

Inserts a new constellation symbol below the selected row with a default setting of zero for all parameters.

Delete

Deletes the selected constellation symbol.

Recall

Recall a text file of constellation symbols. Each line in the text file represents a symbol state defined in the constellation. The values for each symbol should be separated with commas and include Index , I (real) , Q (imaginary) , and Symbol in that order. Magnitude and phase are not included, as they are calculated from the I and Q values. This Closed image shows the symbols for an 8PSK constellation as they appear in both the software and the text file. You can also generate this type of file with other tools, such as Matlab.

Save

Save the current symbol constellation to a text file for recall. Each line in the text file represents a symbol state defined in the constellation. The values for each symbol are separated with commas and include Index , I (real) , Q (imaginary) , and Symbol in that order. Magnitude and phase values are not saved, as they are calculated from the I and Q values. This Closed image shows the symbols for an 8PSK constellation as they appear in both the software and the text file. You can also generate this type of file with other tools, such as Matlab.

Normalize

Rescales all the constellation states to achieve an RMS value of 1.

Name

Allows you to rename the constellation. This name will also appear in the Constellation column of the segment list.

Show Rotation

Shows the Phase Rotation in the graphical display of the constellation (video).

Show Symbol

Shows the symbol number in the graphical display of the constellation.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Constellation Settings for Resource Mapping

This window appears when you click Constellation Settings in the Resource Mapping window for a Custom OFDM configuration. The first 12 modulation formats in the left column are pre-defined and cannot be edited, with the exception of the Symbol mapping column. In Closed Figure 1, notice that the pre-defined 16QAM format is selected and Reset is the only available editing function. Clicking Add, however, provides you the tools to name and create a user-defined modulation format. In Closed Figure 2, notice that when a user-defined modulation format is selected, several editing functions become available at the top of the window.

After you have completed editing the symbols in a predefined modulation or more complex edits in a user-defined modulation, click OK and your edits will be applied to the selections available under Resource Modulation.

Figure 1. Predefined modulation (16QAM) selected

Figure 2. User-defined modulation (My Custom) selected

Add

Opens a small Closed dialog box where you can name and then add a user-defined constellation. After naming, the constellation defaults to BPSK, but you can use Preset to change it another format and then make additional custom edits to suit your requirements.

Remove

Removes the selected user-defined modulation from the list. The first 12 pre-defined modulations cannot be removed. In addition, user-defined modulation formats used in a resource configuration cannot be removed.

Reset

Resets all constellation symbols to the default values.

Preset

Choices: BPSK | QPSK | 8PSK | 16QAM | 32QAM | 64QAM | 128QAM | 256QAM | 512QAM | 1024QAM | 2048QAM | 4096QAM

Use the drop-down menu to select a pre-defined modulation type.

Insert

Inserts a new constellation symbol below the selected row with a default setting of zero for all parameters.

Delete

Deletes the selected constellation symbol.

Recall

Recall a text file of constellation symbols. Each line in the text file represents a symbol state defined in the constellation. The values for each symbol should be separated with commas and include Index , I (real) , Q (imaginary) , and Symbol in that order. Magnitude and phase are not included, as they are calculated from the I and Q values. This Closed image shows the symbols for an 8PSK constellation as they appear in both the software and the text file. You can also generate this type of file with other tools, such as Matlab.

Save

Save the current symbol constellation to a text file for recall. Each line in the text file represents a symbol state defined in the constellation. The values for each symbol are separated with commas and include Index , I (real) , Q (imaginary) , and Symbol in that order. Magnitude and phase values are not saved, as they are calculated from the I and Q values. This Closed image shows the symbols for an 8PSK constellation as they appear in both the software and the text file. You can also generate this type of file with other tools, such as Matlab.

Normalize

Rescales all the constellation states to achieve an RMS value of 1.

Show Symbol

Shows the symbol number in the graphical display of the constellation.


instrument_node

Real Time


NOMA Setup Form

This window allows you to set the modulation type, boost level and payload for two users. The modulation choices come from the list in the Constellation Settings dialog, which means you can also define your own constellations. The constellation shown in this window is the combined constellation of two users.

Users

Displays the user number. Two users total: 0 and 1.

Modulation

Choices: BPSK | QPSK | 8PSK |16QAM | 32QAM | 64QAM | 128QAM | 256QAM | 512QAM

Default: QPSK

Set the modulation type.

Boost Level

Range: 0.1 to 10

Default: 1.00

Set the amplitude boost level for current NOMA user.

Payload Data

Choices: PN9 | PN15 | PN23 | Custom Bit Pattern | User File

Default: PN9

Opens the Closed Data Setup editor to configure payload bits.You can also load, save, and create custom bit patterns.

Data Offset

Range: 0 to 1000

Default: 0

Set the data offset of the payload data.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

SCMA Setup Form

Import

Import an SCMA settings file in CSV format.

Export

Export an SCMA settings file in CSV format.

SCMA Parameters

Layer Number (V)

Range: 1 to 16

Default: 6

Set the number of layers for SCMA.

Codeword Size (M)

Default: 4

Range: 2 to 64

Set the codeword size for SCMA.

Spreading Factor (K)

Range: 1 to 16

Default: 4

Set the spreading factor for SCMA.

Layer

Displays the SCMA layer index.

Enabled

Enable or disable the current SCMA layer.

Payload Data

Choices: PN9 | PN15 | PN23 | Custom Bit Pattern | User File

Default: PN9

Opens the Closed Data Setup editor to configure payload bits.You can also load, save, and create custom bit patterns.

Data Offset

Range: 0 to 1000

Default: 0

Set the data offset of the payload data.

Codebook of layer n

Displays the codebook for the currently selected layer, allowing you to directly edit complex resource element values.

Current Codebook

Shows the constellation for current selected layer.

All Codebook

Shows all codebooks. Red indicates the layer is enabled. Gray indicates the layer is disabled.

Tanner Graph

Shows the relationship between layer and resource element. Red indicates the layer is enabled. Gray indicates the layer is disabled.


tree_view_hardware

Real Time


tree view waveform

Real Time


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B


waveform plot dropdown

Real Time


untitled window

Real Time


ssvideo_readme.txt

ADDING VIDEOS TO CHM FILES

The Content\Resources\Multimedia folder containts the following files as a template for embedding short mp4 video files into the project. These files are imported from the Signal Studio master project. The files were originally generated from Camtasia 8.5 and work together to support playing embedded mp4 files in a chm file. Chm files normally only support swf multimedia files, so this process is a clever work around so that mp4 files can be used.

[scripts]
[skins]
ssvideo_embed.css
ssvideo.html
ssvideo_player.html (this file must be copied, edited, and renamed for each mp4 file in project)
ssvideo.mp4 (this is a placeholder video and shouldn't be used in project)
ssvideo_First_Frame.png
playerProductInstall.swf
ssvideo_controller.swf (this is the player)
ssvideo_config.xml

EXAMPLE PROCEDURE

1. Create a short (5-15 sec) mp4 video using Snagit. For example, badgui.mp4.

2. Save badgui.mp4 to Content\Resources\Multimedia of the Flare project.
   (ALL MULTIMEDIA FILES SHOULD BE IN THIS DIRECTORY.)

2. Make another copy of ssvideo_player.html and rename it to badgui_player.html.

3. In Notepad, edit the source code for the newly created badgui_player.html.
   a. Find this line: TSC.playerConfiguration.addMediaSrc("ssvideo.mp4");
   b. Change ssvideo.mp4 to badgui.mp4
   c. Save file.

4. Repeat this procedure for every mp4 file you want to add.
   This means that two new files (xxx.mp4 and xxx_player.html) are added
   for every new video. The rest of the supporting files remain unchanged.

5. In Flare, you will link to xxx_player.html. You must set the
   hyperlink's Target Frame to Popup Window.

Updated: March 2, 2015 by George Bratsberg